--
-- Struktura tabeli dla tabeli `ip_manager_assigned_pools`
--

CREATE TABLE IF NOT EXISTS `ip_manager_assigned_pools` (
  `pool_id` int(11) NOT NULL,
  `client_id` int(11) NOT NULL,
  UNIQUE KEY `pool_id` (`pool_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ip_manager_configurations`
--

CREATE TABLE IF NOT EXISTS `ip_manager_configurations` (
  `id` tinyint(4) NOT NULL AUTO_INCREMENT,
  `description` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ip_manager_configuration_addons`
--

CREATE TABLE IF NOT EXISTS `ip_manager_configuration_addons` (
  `config_id` int(11) NOT NULL,
  `addon_id` int(11) NOT NULL,
  `ipquantity` int(10) NOT NULL,
  KEY `ipquantity` (`ipquantity`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ip_manager_configuration_configoptions`
--

CREATE TABLE IF NOT EXISTS `ip_manager_configuration_configoptions` (
  `config_id` int(11) NOT NULL,
  `configoption_id` int(11) NOT NULL,
  `ipquantity` int(10) NOT NULL,
  KEY `config_id` (`config_id`,`configoption_id`,`ipquantity`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ip_manager_configuration_pools`
--

CREATE TABLE IF NOT EXISTS `ip_manager_configuration_pools` (
  `config_id` int(11) NOT NULL,
  `pool_id` int(11) NOT NULL,
  PRIMARY KEY (`config_id`,`pool_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ip_manager_configuration_products`
--

CREATE TABLE IF NOT EXISTS `ip_manager_configuration_products` (
  `config_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `ipquantity` int(10) NOT NULL,
  UNIQUE KEY `product_id` (`product_id`),
  KEY `ipquantity` (`ipquantity`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ip_manager_configuration_servers`
--

CREATE TABLE IF NOT EXISTS `ip_manager_configuration_servers` (
  `config_id` int(11) NOT NULL,
  `server_id` int(11) NOT NULL,
  `ipquantity` int(10) NOT NULL,
  UNIQUE KEY `server_id` (`server_id`),
  KEY `ipquantity` (`ipquantity`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ip_manager_history`
--

CREATE TABLE IF NOT EXISTS `ip_manager_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip_id` int(11) NOT NULL,
  `account_id` int(10) NOT NULL,
  `configuration_id` int(11) NOT NULL,
  `relation` enum('client','product','addon','configoption','server','manually', 'cron', 'import') NOT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `configuration_id` (`configuration_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ip_manager_ips`
--

CREATE TABLE IF NOT EXISTS `ip_manager_ips` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` VARCHAR(16) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `ip_v6` decimal(39,0) NOT NULL,
  `pool_id` int(11) NOT NULL,
  `custom_fields` TEXT NULL,
  `enabled` tinyint(1) NOT NULL,
  `custom_text` TEXT NULL,
  `custom` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ip_v6` (`ip_v6`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ip_manager_ip_pools`
--

CREATE TABLE IF NOT EXISTS `ip_manager_ip_pools` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pool` varchar(48) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `mask` tinyint(2) NOT NULL,
  `type` enum('ipv4','ipv6', 'ipv6block') NOT NULL,
  `ns1` VARCHAR( 39 ) NOT NULL,
  `ns2` VARCHAR( 39 ) NOT NULL,
  `gateway` VARCHAR( 39 ) NOT NULL,
  `custom_fields` TEXT NULL,
  `parent_id` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `account_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Struktura tabeli dla tabeli `ip_manager_modules`
--

CREATE TABLE IF NOT EXISTS `ip_manager_modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(90) NOT NULL,
  `modulename` varchar(60) NOT NULL,
  `description` tinytext NOT NULL,
  `type` varchar(90) NOT NULL,
  `options` text NOT NULL,
  `enabled` int(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;





-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ip_manager_logs`
--

CREATE TABLE IF NOT EXISTS `ip_manager_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(39) NOT NULL,
  `action` varchar(25) NOT NULL,
  `message` varchar(200) NOT NULL,
  `account_id` int(10) NOT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;



-- --------------------------------------------------------
--
-- Struktura tabeli dla tabeli `ip_manager_ip_blocks`
--
CREATE TABLE IF NOT EXISTS `ip_manager_ip_blocks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pool` varchar(48) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `mask` tinyint(2) NOT NULL,
  `subnets_mask` tinyint(2) NOT NULL,
  `type` enum('ipv4','ipv6') NOT NULL,
  `ns1` VARCHAR( 39 ) NOT NULL,
  `ns2` VARCHAR( 39 ) NOT NULL,
  `gateway` VARCHAR( 39 ) NOT NULL,
  `custom_fields` TEXT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
