<h2 style="margin-bottom: 20px">{$lang->_('Configurable Options')}</h2>

<cite><span class="assignedWarn icon-warning-sign"></span> - {$lang->_('means that configurable option is assigned to another configuration and is not available here.')}</cite>

<form class="form-horizontal {if $isWHMCS6}{else}form-low{/if}" method="post" action="">
    <input type="hidden" value="saverels" name="modaction" />
    <input type="hidden" value="{$smarty.get.configuration_id}" name="configuration_id" />
    <table class="table">
        <thead>
            <tr>
                <th width="1300">{$lang->_('Configurable Option')}</th>
                <th>{$lang->_('Assign To Pool(s)')}</th>
                <th width="100">{$lang->_('IP Addresses Quantity')}</th>
                <th width="100">{$lang->_('IP v6 Addresses Quantity')}</th>
            </tr>
        </thead>
        <tbody>
        {foreach from=$optionsGroups item=optGroup}
            <tr>
                <th colspan="4" style="font-weight: 530;">{$optGroup->name}</th>
            </tr>
            {foreach from=$categorised[$optGroup->id] item=option}
                <tr class="info">
                    <td colspan="4">{if $option->alreadyAssigned}<span class="assignedWarn icon-warning-sign"></span> {/if}{$option->optionname}</td>
                </tr>
                {foreach from=$option->suboptions item=suboption}
                <tr class="{if $option->alreadyAssigned} lessopacity{/if}">
                    <td>{$suboption->optionname}</td>
                    <td><input type="checkbox" name="options[{$suboption->id}][assign]" {if $option->alreadyAssigned}value="no" disabled{else}value="yes"{/if} {if $suboption->config_id eq $smarty.get.configuration_id} checked="checked"{/if} /></td>
                    <td>{if $option->optiontype neq 4}<input type="text" name="options[{$suboption->id}][ipquantity]"  {if $option->alreadyAssigned}value="no" disabled{/if} value="{$suboption->ipquantity|default:1}" size="8" style="width: 50px;">{else}<sub>*</sub>{/if}</td>
                    <td>{if $option->optiontype neq 4}<input type="text" name="options[{$suboption->id}][ipv6quantity]"  {if $option->alreadyAssigned}value="no" disabled{/if} value="{$suboption->ipv6quantity|default:1}" size="8" style="width: 50px;">{else}<sub>*</sub>{/if}</td>
                </tr>
                {/foreach}
            {/foreach}            
        {/foreach}
        </tbody>
    </table>
    <p>
        <span class="assigned_asterisk">&nbsp*</span><strong> - {$lang->_('The type of such config option is \'quantity\'. The number specified on the order form will be treated as IP Addresses quantity.')}</strong>
    </p>
    <button class="btn btn-small btn-success">{$lang->_('Save Changes')}</button>
    <a class="btn btn-small btn-danger" href="{'configuration'|addon_url}">{$lang->_('Cancel')}</a>
</form>