<div class="row">
    <div class="span10 pull-left">
        <h2 style="margin-bottom: 20px">{$lang->_('Configurations')}</h2>
    </div>
    <div class="pull-right" style="margin-right: 15px;">
        <a href="{'configuration'|addon_url:'create'}" class="btn btn-small btn-primary"><i class="icon icon-plus" style="vertical-align: middle;"></i> {$lang->_('Create Configuration')}</a>
    </div>
</div>

<table class="table" style="margin-top: 15px">
    <thead></thead>
    <tr>
        <th width="140">{$lang->_('Configuration ID')}</th>
        <th width="290">{$lang->_('Assigned')}</th>
        <th>{$lang->_('Relations Configuration')}</th>
        <th width="145">{$lang->_('Stats')}</th>
        <th width="85">{$lang->_('Delete')}</th>
    </tr>
</thead>
<tbody>
    {foreach item=configuration from=$configurations}
        <tr>
            <td>
                <strong><span class="muted">#{$configuration->id}</span> {$configuration->description}</strong>
            </td>
            <td style="text-align: center;">
                <a class="btn btn-small btn-primary" href="{'configuration'|addon_url:'pools'}&configuration_id={$configuration->id}"><i class="icon icon-share" style="{if $isWHMCS6}  line-height: 14px !important;{else}vertical-align: middle;{/if}"></i> {$lang->_('Assigned Pools')}</a>
            </td>
            <td>
                <a class="btn btn-small btn-primary getinfo" href="{'configuration'|addon_url:'products'}&configuration_id={$configuration->id}" style="margin-bottom: 5px;">{$lang->_('Products')}</a>
                <a class="btn btn-small btn-primary getinfo" href="{'configuration'|addon_url:'addons'}&configuration_id={$configuration->id}" style="margin-bottom: 5px;">{$lang->_('Addons')}</a>
                <a class="btn btn-small btn-primary getinfo" href="{'configuration'|addon_url:'configoptions'}&configuration_id={$configuration->id}" style="margin-bottom: 5px;">{$lang->_('Configurable Options')}</a>
                <a class="btn btn-small btn-primary getinfo" href="{'configuration'|addon_url:'servers'}&configuration_id={$configuration->id}" style="margin-bottom: 5px;">{$lang->_('Servers')}</a>
            </td>
            <td>
                <a href="#" class="btn btn-small btn-small btn-primary showConfigurationStats"><i class="icon icon-bar-chart" style="{if $isWHMCS6}  line-height: 14px !important;{else}vertical-align: middle;{/if}"></i> {$lang->_('Toggle Statistics')}</a>
            </td>
            <td>
                <a class="btn btn-small btn-danger" href="{'configuration'|addon_url:'delete'}&configuration_id={$configuration->id}">
                    <i class="icon-remove" style="{if $isWHMCS6}line-height: 14px !important;{/if}"></i>
                </a>
            </td>
        </tr>
        <tr class="hidden">
            <td colspan="5">
                <canvas class="statistics" id="statsholder-{$configuration->id}" data-stats-total="{$configuration->usageStats->total}" data-stats-product="{$configuration->usageStats->product}" data-stats-addon="{$configuration->usageStats->addon}" data-stats-co="{$configuration->usageStats->co}" width="0" height="350"></canvas>

                <p style="padding: 5px 25px; font-size: 16px;">{$lang->_('Legend:')}</p>
                <ul>
                    <li style="display: inline;"><span style="padding: 5px; background: rgb(220,220,220);">{$lang->_('Total Assigned IPs')}</span></li>
                    <li style="display: inline;"><span style="padding: 5px; background: rgb(255,204,51);">{$lang->_('IPs assigned by products')}</span></li>
                    <li style="display: inline;"><span style="padding: 5px; background: rgb(255,51,102); color: #fff;">{$lang->_('IPs assigned by addons')}</span></li>
                    <li style="display: inline;"><span style="padding: 5px; background: rgb(153,0,204); color: #fff;">{$lang->_('IPs assigned by configurable options')}</span></li>
                </ul>
            </td>
        </tr>
        {if $configuration->haveNotClientAssignedPools()}
        <tr class="warning">
            <td colspan="6">
                <span class="label label-warning" style="text-transform: none;">&nbsp;{$lang->_('Notice')}&nbsp;</span> {$lang->_('Subnets Assigned to this Configuration are reserved for clients, so it may not be considered for other clients that dont have subnet assigned to them.')}
            </td>
        </tr>
        {/if}
        {if $configuration->freeIPsLeft eq 0 && $configuration->hasAssignedPools()}
        <tr class="error">
            <td colspan="6">
                {$lang->_('There are no pools with free IP addresses in the configuration above, please')} <a href="{'configuration'|addon_url:'pools'}&configuration_id={$configuration->id}" style="font-weight: bold;">{$lang->_('assign one')}</a>. <strong>{$lang->_('You can ignore this message, if the only pools assigned to this configuration are of IPv6 type.')}</strong>
            </td>
        </tr>
        {/if}
    {foreachelse}
        <tr>
            <td colspan="6" style="text-align: center">{$lang->_('You do not have any configurations, maybe you should')} <a href="{'configuration'|addon_url:'create'}"><strong>{$lang->_('create one?')}</strong></a></td>
        </tr>
    {/foreach}
</tbody>
</table>
<div class="pagination">{$configurations->pagination()}</div>