<h2 class="appendBottomMargin">{$lang->_('Add Pool To Configuration')}</h2>
<form class="form-horizontal {if $isWHMCS6}{else}form-low{/if} well" id="assignPoolForm" method="post">
    <input type="hidden" value="add_pool_to_configuration" name="modaction" />
    <div class="">
        <div class="control-group">
            <label class="control-label">{$lang->_('Select Pool:')}</label>
            <select name="selected_pool" class="pretty-select span5">
                <option value="">{$lang->_('Choose one from the list below')}</option>
                {foreach from=$pools item=pool}
                    {if $pool->mask > 0}
                    <option value="{$pool->id}">{$pool->pool}/{$pool->mask}</option>
                    {else}
                    <option value="{$pool->id}">{$pool->pool}</option>
                    {/if}
                {/foreach}
            </select>
        </div>
    </div>
    <div class="clear"></div>
    <div class="form-actions">
        <button class="btn btn-small btn-primary"><span class="icon-share" style="vertical-align: middle;"></span> {$lang->_('Assign A Pool')}</button>
    </div>
</form>

<h2 style="margin-bottom: 20px; margin-top: 30px;">{$lang->_('Pool List')}</h2>
<table class="table">
    <thead>
            <tr>
                <th width="480">{$lang->_('Pool')}</th>
                <th width="260">{$lang->_('Additional Informations')}</th>
                <th width="640">{$lang->_('Usage')}</th>
                <th width="50">{$lang->_('Delete')}</th>
            </tr>
    </thead>
    <tbody>
        {foreach from=$configpools item=pool}
            <tr>
                    <td>
                        <a href="{'pools'|addon_url:''}&pool_id={$pool->id}"><strong> {$pool->pool}{if $pool->mask > 0}/{$pool->mask}{/if}</strong></a>
                        <input type="hidden" name="pools[{$pool->id}][id]" value="{$pool->id}"/>
                        {$pool->pcsNotification}
                    </td>
                    <td>
                        <dl class="dl-horizontal">
                            <dt>{$lang->_('Namserver 1')}</dt>
                            <dd>{$pool->ns1}</dd>
                            <dt>{$lang->_('Namserver 2')}</dt>
                            <dd>{$pool->ns2}</dd>
                            <dt>{$lang->_('Gateway')}</dt>
                            <dd>{$pool->gateway}</dd>
                        </dl>
                    </td>
                    <td style="padding-top: 15px;">
                        {if $pool->hasChildSubnet}
                        <div class="progress progress-{if $pool->freePercentage > 75}danger{elseif $pool->freePercentage > 40}warning{else}success{/if}">
                            <div class="bar" style="width: {$pool->freePercentage}%;"><span style="{if $pool->freePercentage < 7}color:#454545;{/if}">{$pool->freePercentage}% ({$pool->getReserved()}{$pool->type} reserved {if $pool->checkIPv4()}for{/if} subnets)</span></div>{*#2F2F2F*}
                        </div>
                        {else}
                        <div class="progress progress-{if $pool->freePercentageSubnet > 75}danger{elseif $pool->freePercentageSubnet > 40}warning{else}success{/if}">
                            <div class="bar" style="width: {$pool->freePercentageSubnet}%;"><span style="{if $pool->freePercentageSubnet < 7}color:#454545;{/if}">{$pool->freePercentageSubnet}% ({$pool->FreeAndTotal[2]} used)</span></div>{*#2F2F2F*}
                        </div>
                        {/if}
                    </td>
                    <td>
                        <a class="btn btn-small btn-danger" href="{'configuration'|addon_url:'deleteconfigpool'}&configuration_id={$smarty.get.configuration_id}&pool_id={$pool->id}">
                            <i class="icon-remove" style="{if $isWHMCS6}line-height: 14px !important;{/if}"></i>
                        </a>
                    </td>
                </tr>
        {foreachelse}
            <tr>
                <td colspan="4" style="text-align: center">{$lang->_('You do not have any pools, maybe you should')} <a href="{'pools'|addon_url}&redirect={'addonmodules.php?module=ipmanager2&modpage=configuration&modsubpage=pools&configuration_id='|cat:$smarty.get.configuration_id|urlencode}"><strong>{$lang->_('create one')}</strong>?</a></td>
            </tr>
        {/foreach}
    </tbody>
</table>
