<h2 class="bottom-space">{$lang->_('Import Existing Addresses Into Pools')}</h2>

<p>{$lang->_('If you want, you can import all (or part) of the IP addresses from your services into IP Manager Pools. All you have to do is run an import script manually or via cron.')}</p>

<p>{$lang->_('If you want to import all the IP addresses into pools, you should run a script and follow the instructions:')}</p>

<cite>php {$path}cronjob.php Import start</cite>

<p>{$lang->_('You can also run a continuous import via CRON by adding a force option:')}</p>

<cite>php {$path}cronjob.php Import start forced</cite>

<p>{$lang->_('Alternatively, you can run an import function for specified services only by providing their IDs as another argument separated by a comma, for example:')}</p>

<cite>php {$path}cronjob.php Import start false 1,2,3</cite>



<br/><br/><br/>


<h2 class="bottom-space">{$lang->_('Import IP Addresses From a File')}</h2>
<form method="post" action="{'import'|addon_url:'import'}" enctype="multipart/form-data" >
    <fieldset>
        <div class="control-group">
            <label class="control-label">{$lang->_('Choose the file to import IP Addresses from')}</label>
            <div class="controls">

                <div class="control-group">
                    <div class="fileUpload btn btn-small btn-primary" style="float: left;margin: 0px; margin-right: 10px; line-height: 23px;">
                        <span class="icon-upload" style="display: inline;"> {$lang->_('Upload')}</span>
                        <input type="file" name="importFile" class="upload uploadWithText">
                    </div>
                </div>
                <div class="control-group">
                    <input type="text" class="uploadText" value="" style="height: 31px !important;padding: 0px;margin: 0px;float: left;"/>
                </div>
            </div>
        </div>
    </fieldset>
    <fieldset>
        <div class="control-group">
            <label class="control-label">{$lang->_('Choose an input format')}</label>
            <div class="controls">
                <select class="pretty-select" name="type" style="width: 278px;" >
                    <option value="csv">{$lang->_('CSV (comma separated values)')}</option>
                    <option value="xml">{$lang->_('XML document')}</option>
                </select>
            </div>
        </div>
    </fieldset>
    <fieldset>
        <div class="control-group">
            {* <label class="control-label">{$lang->_('Add IP\'s to Hosting and Create History Entry')}</label> *}
            <div class="controls">
                <label><input type="checkbox" value="1" checked name="fullimport" style="margin: 0 4px 0 0;" /> <span > {$lang->_('Add IP Addresses to Hosting and create History entry')}</span></label> <span class="badge badge-warning">{$lang->_('Please Note:')}</span> <span class="muted"> {$lang->_('Import will add IP Addresses to Hosting (according to present configuration) and create a History entry.')}</span>
            </div>
        </div>
    </fieldset>
    <div class="form-actions">
        <button type="submit" class="btn-primary">{$lang->_('Import')}</button>
    </div>
</form>

