<p class="lead" style="font-size: 14px;">{$lang->_('In this section you can easily activate installed integration modules for the IP Manager. The list below shows each 3rd integration module you have by now.')}</p>

<table class="table">
    <thead>
        <tr>
            <th>{$lang->_('Module Name')}</th>
            <th>{$lang->_('Description')}</th>
            <th>{$lang->_('Assigned Configurations')}</th>
            <th width="200">{$lang->_('Applicable Module Type')}</th>
            <th width="250">{$lang->_('Actions')}</th>
        </tr>
    </thead>
    <tbody>
        {foreach from=$modules item=module}
            {assign var=config value=$module->getConfig()}
            <tr>
                <td>{$module->getName()}</td>
                <td>{$module->getDescription()}</td>
                <td style="vertical-align: middle;">
                    {if !$module->isEnabled()}
                        <span class="label label-terminated" style="padding: 5px; text-transform: none;">{$lang->_('Module Is Inactive')}</span>
                    {elseif $config->moduledata.configurations|@count eq 0}
                        <span class="label label-important" style="padding: 5px; text-transform: none;" title="{$lang->_('Click configuration button to assign some.')}">{$lang->_('No Configurations Assigned Yet')}</span>
                    {elseif $config->moduledata.configurations|@count gt 0}
                        {assign var=counter value=$config->moduledata.configurations|@count}
                        <span class="label label-success" style="padding: 5px; text-transform: none;" title="{$lang->_('Click configuration button for details.')}">{$lang->_('Assigned To %d Configuration/s', $counter)}</span>    
                    {/if}
                </td>
                <td>{$module->getModuleType()}</td>
                <td>
                    <a href="{'integration'|addon_url:'activate'}&name={$module->getRawName()}" class="btn btn-small btn-success{if $module->isEnabled()} disabled{/if}">{$lang->_('Activate')}</a>
                    <a href="{'integration'|addon_url:'deactivate'}&name={$module->getRawName()}" class="btn btn-small btn-danger{if !$module->isEnabled()} disabled{/if}">{$lang->_('Deactivate')}</a>
                    <a href="{'integration'|addon_url:'configure'}&name={$module->getRawName()}" class="btn btn-small ipmanagerconfigure {if !$module->isEnabled()} disabled{/if}"{if $smarty.get.activated eq $module->getRawName()} data-submodule-activated="true"{/if}>{$lang->_('Configure')}</a>
                </td>
            </tr>
            <tr class="hidden">
                <td colspan="9" style="text-align: center;">
                    <div class="options">
                        <div class="centerbox">
                            <div class="configcontent">
                                <h3>{$lang->_('Please wait while loading')}</h3>
                                <img src="../modules/addons/ipmanager2/assets/img/loading.gif">
                            </div>   
                        </div>        
                    </div>
                </td>
            </tr>
        {/foreach}
    </tbody>
</table>