<div>
    {if $smarty.get.redirInfo eq 1}
        <div class="alert">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <strong>{$lang->_('Important!')}</strong> {$lang->_('When you will successfully create a pool. You will be automatically redirected to the desired page.')}
        </div>
    {/if}
    <div class="accordion" id="accordion2">
        <div class="{if $isWHMCS6}panel{/if} accordion-group">
            <div class="accordion-heading">
                <span class="accordion-toggle" style="cursor:initial;" data-toggle="{if $isWHMCS6}{/if}" data-parent="#accordion2" href="#withCIDR">
                    <strong>{$lang->_('Classless Inter-Domain Routing (CIDR)')}</strong>
                    <span class="label label-info pull-right" style="margin-left: 5px;">IPv6</span>
                    <span class="label label-success pull-right">IPv4</span>
                </span>
            </div>

            <div id="withCIDR" class="accordion-body {if $isWHMCS6}{/if} {if $smarty.get.formtype == 'withCIDR' || $smarty.get.formtype == ''}in{/if}">
                <div class="preloader" style="display: none;"><div class="status">&nbsp;</div></div>
                <div class="accordion-inner">

                    <form method="post" action="addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=create" class="form-horizontal {if $isWHMCS6}{else}form-low{/if} createPoolForm">
                        <input type="hidden" name="modaction" value="addpool" />
                        <input type="hidden" name="type" value="cidr">
                        <div class="control-group">
                            <label class="control-label">{$lang->_('Type of IP Addresses:')}</label>
                            <div class="controls">
                                <label class="radio">
                                    <input type="radio" name="typeofip" id="ipv4click" value="ipv4"{if $smarty.post.typeofip|default:'ipv4' == 'ipv4'} checked{/if}>
                                    {$lang->_('IP version 4')}
                                </label>
                                <label class="radio">
                                    <input type="radio" name="typeofip" id="ipv6click" value="ipv6"{if $smarty.post.typeofip|default:'ipv4' == 'ipv6'} checked{/if}>
                                    {$lang->_('IP version 6')}
                                </label>
                            </div>
                        </div>
                        <div class="control-group">
                            <label class="control-label">{$lang->_('Subnet:')}</label>
                            <div class="controls">
                                <input type="text" name="ipv4" id="ipv4" value="{$smarty.post.ipv4}" class="span3 ipPart"{if $smarty.post.typeofip|default:'ipv4' == 'ipv6'} style="display: none;"{/if}/>
                                <input type="text" name="ipv6" id="ipv6" value="{$smarty.post.ipv6}" class="span3 ipPart"{if $smarty.post.typeofip|default:'ipv4' == 'ipv4'} style="display: none;"{/if}/>
                                <strong style="vertical-align: middle; font-size: 18px; padding: 0px 5px 0px 5px;">/</strong>
                                <input type="text" name="mask" value="{$smarty.post.mask}" class="span1 ipPart" id="cidrMask" maxlenghth="2"  autocomplete="off" />
                                <!-- ahmed sponsored--><input type="hidden" name="parentID" value="{$smarty.post.parentID}" class="span1 ipPart" id="parentID" maxlenghth="2"  autocomplete="off" /><!-- ahmed sponsored-->
                                <div class="help-inline">
                                    <a href="#" class="tooltip2">
                                        <i class="icon-question-sign"></i>
                                        <span> {$lang->_('Please provide a valid IP address of selected type and a correct bitmask. Range is a 1 to 32 in case of IPv4 and 1 to 128 in case of IPv6.')}</span>
                                    </a>
                                </div>
                                <button class="btn btn-small btn-success">{$lang->_('Add Subnet')}</button>
                                <br><span id="errors"></span>
                            </div>
                            
                        </div>
                        <div class="control-group">
                            <label class="control-label">{$lang->_('Excluded IP Addresses:')}</label>
                            <div class="controls">
                                <textarea rows="5" style="width: 450px; height: 150px;" name="excluded"></textarea>
                                <div class="help-inline"  style="vertical-align: top;">
                                    <a href="#" class="tooltip2">
                                        <i class="icon-question-sign"></i>
                                        <span>{$lang->_('You can also exclude a range of IP addresses by passing it to field next to, separate by the "-" sign. For example: 192.168.0.3-192.168.0.14. However ranges exclude works currently only for IPv4.')}</span>
                                    </a>
                                </div>
                                        <span class="help-block">{$lang->_('You can exclude any number of IP addresses from the subnet, by providing it here, one IP address per line.')}</span>
                            </div>
                        </div>
                        <div class="control-group">
                            <div class="controls">
                                <a href="" class="toggleMoreDetailsBox">{$lang->_('Toggle Advanced Settings')}</a>
                            </div>
                        </div>
                        <div class="moreDetailsBox" style="display: none;">
                            <div class="control-group">
                                <label class="control-label">{$lang->_('Nameservers:')}</label>
                                <div class="controls">
                                    <span class="help-inline">{$lang->_('NS 1:')}</span> <input type="text" name="ns1" id="ns1" value="{$smarty.post.ns1}" class="span3 ipPart"/>
                                    <br /><br />
                                    <span class="help-inline">{$lang->_('NS 2:')}</span> <input type="text" name="ns2" id="ns2" value="{$smarty.post.ns2}" class="span3 ipPart"/>
                                                                        <br /><br />
                                    <span class="help-inline">{$lang->_('NS 3:')}</span> <input type="text" name="ns3" id="ns3" value="{$smarty.post.ns3}" class="span3 ipPart"/>
                                                                        <br /><br />
                                    <span class="help-inline">{$lang->_('NS 4:')}</span> <input type="text" name="ns4" id="ns4" value="{$smarty.post.ns4}" class="span3 ipPart"/>
                                                                        <br /><br />
                                    <span class="help-inline">{$lang->_('NS 5:')}</span> <input type="text" name="ns5" id="ns5" value="{$smarty.post.ns5}" class="span3 ipPart"/>
                                    <div class="help-inline">
                                        <a href="#" class="tooltip2">
                                            <i class="icon-question-sign"></i>
                                            <span>{$lang->_('You can specify the five nameservers (DNS). They will be eventually used in the process of the integration.')}</span>
                                        </a>
                                    </div>
                                    <span class="help-block">{$lang->_('You can specify at most five nameservers.')}</span>
                                </div>
                            </div>
                            <div class="control-group">
                                <label class="control-label">{$lang->_('Gateway:')}</label>
                                <div class="controls">
                                    <input type="text" name="gateway" id="gateway" value="{$smarty.post.gateway}" class="span3 ipPart"/>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <div class="{if $isWHMCS6}panel{/if} accordion-group" style="display:none">
            <div class="accordion-heading">
                <a class="accordion-toggle" data-toggle="{if $isWHMCS6}{/if}" data-parent="#accordion2" href="#blockByCIDR">
                    {$lang->_('IPv6 Block Assigned For Subnet')} <small class="muted">{$lang->_('(for example: fd00::)')}</small>
                    <span class="label label-info pull-right" style="margin-left: 5px;">IPv6</span>
                </a>
            </div>
            <div id="blockByCIDR" class="accordion-body {if $isWHMCS6}{/if} {if $smarty.get.formtype == 'blockByCIDR'}in{/if}">
                <div class="accordion-inner">
                    <form method="post" action="addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=create" class="form-horizontal {if $isWHMCS6}{else}form-low{/if} createPoolIPv6ByBlock">
                        <input type="hidden" name="modaction" value="addNewBlockPool" />
                        {* <input type="hidden" name="type"      value="addNewBlockPool"> *}

                        <div class="control-group">
                            <label class="control-label">{$lang->_('Network Block Address:')}</label>
                            <div class="controls">

                                <input type="text" name="ipv6" id="ipv6AddressBlock" value="fd00::" class="span3 ipPart" onchange="calculateAndUpdateValues('setAddress');"/>
                                <strong style="vertical-align: middle; font-size: 18px; padding: 0px 5px 0px 5px;">/</strong>
                                <select name="blockMask" id="ipv6AddressNetworkBits" onchange="calculateAndUpdateValues('setAddress');">
                                    {section name=foo loop=57}
                                        {assign var="mask" value="`$smarty.section.foo.iteration+7`"}
                                        {$smarty.section.foo.iteration + 7}
                                        <option value="{$mask}" {if $mask == 60}selected{/if}>/{$mask} </option>
                                    {/section}
                                </select>

                                <div class="help-inline">
                                    <a href="#" class="tooltip2">
                                        <i class="icon-question-sign"></i>
                                        <span> {$lang->_('Please provide a valid IP address of a block.')}</span>
                                    </a>
                                </div>
                                <br><span id="errorsBlock"></span>
                            </div>
                        </div>
                        <div class="control-group">
                            <label class="control-label">{$lang->_('Number of Subnets:')}</label>
                            <div class="controls">
                                {* <input type="text" name="ipv6" id="ipv6" value="{$smarty.post.ipv6}" class="span3"/> *}
                                {* <strong style="vertical-align: middle; font-size: 18px; padding: 0px 5px 0px 5px;">/</strong> *}
                                {* <input type="text" name="mask" value="{$smarty.post.mask}" class="span1 ipPart" id="cidrMask" maxlenghth="2"  autocomplete="off" /> *}


                                <select name="subnetMask" id="ipv6SubnetBitsVsNoOfSubnets" >
                                    <option value="0">{$lang->_('loading...')}</option>
                                </select>
                                <br>
                                <span id="nrHostsPerSubnet" style="padding-left: 10px;">{$lang->_('Number of addresses for a single subnet:')} <b><span>2<sup class="toPow"></sup></span></b> = <span class="total"></span></span>
                            </div>
                        </div>
                        <div class="control-group">
                            <button class="btn btn-small btn-success">{$lang->_('Add Pool')}</button>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>



{literal}
<script type="text/javascript">





var NUMBER_SUBNETS_SELECT_ID        = 'ipv6SubnetBitsVsNoOfSubnets';
var BLOCK_NETWORK_ADDRESS_SELECT_ID = 'ipv6AddressBlock';
var BLOCK_NETWORK_MASK_SELECT_ID    = 'ipv6AddressNetworkBits';

$(function ()
{
    $('#'+NUMBER_SUBNETS_SELECT_ID).change(function()
    {
        var optionSelected = $("option:selected", this);

        hostsBit = optionSelected.data('number-hosts');
        hostsNumOrg = getNumberOfHostsInSubnet(hostsBit);

        try {
            hostsNum = new BigNumber(hostsNumOrg);
            hostsNum  = hostsNum.toFormat();
        } catch(e) {
            hostsNum  = hostsNumOrg;
        }

        $('#nrHostsPerSubnet .total').text(hostsNum);
        $('#nrHostsPerSubnet .toPow').text((TOTAL_BITS - hostsBit));
    });

    $('#'+BLOCK_NETWORK_MASK_SELECT_ID+' > option:first').prop('selected', true).trigger("change");
});


var TOTAL_BITS = 128,
    TOTAL_NETWORK_BITS = 128,
    NETWORK_BITS = 0,
    MASK_BITS = 0,
    SUBNET_BITS = 0,
    HOST_BITS = 64,
    TOTAL_HOST_BITS = 64,
    SUBNET_LIST_START_INDEX = 0,
    SUBNET_LIST_END_INDEX = 16;

function getInputValues()
{
    var ipv6AddressBlock = null,
        ipv6Address = null,
        ipv6NetworkBits = null,
        ipv6SubnetBits = null;

    var subnetBitsElement = null,
        addressBlockArr = null;

    ipv6Address            = document.getElementById(BLOCK_NETWORK_ADDRESS_SELECT_ID).value;
    ipv6AddressNetworkBits = document.getElementById(BLOCK_NETWORK_MASK_SELECT_ID).value;
    subnetBitsElement      = document.getElementById(NUMBER_SUBNETS_SELECT_ID);

    if(ipv6AddressBlock == '') {
        return false;
    }

    ipv6AddressBlock = ipv6Address + '/' + ipv6AddressNetworkBits;
    ipv6NetworkBits  = parseInt(ipv6AddressNetworkBits, 10);

    // ipv6SubnetBits = subnetBitsElement.options[subnetBitsElement.selectedIndex].value;
    ipv6SubnetBits = 0;

    var toReturnMap = new Array();
    toReturnMap.ipv6AddressBlock = ipv6AddressBlock;
    toReturnMap.ipv6Address      = ipv6Address;
    toReturnMap.ipv6SubnetBits   = parseInt(ipv6SubnetBits, 10);
    toReturnMap.ipv6NetworkBits  = ipv6NetworkBits;

    return toReturnMap;
}

function setNetworkBits(value){
    NETWORK_BITS = value;
}
function getNetworkBits(){
    return NETWORK_BITS;
}
function setMaskBits(value){
    MASK_BITS = value;
}
function getMaskBits(){
    return MASK_BITS;
}
function setSubnetBits(value){
    SUBNET_BITS = value;
}
function getSubnetBits(){
    return SUBNET_BITS;
}
function setHostBits(value){
    HOST_BITS = value;
}
function getHostBits(){
    return HOST_BITS;
}

function getNumberOfSubnets(){
    return Math.pow(2,SUBNET_BITS);
}
function getNumberOfHostsInSubnet(subnetbits) {
    return Math.pow(2, TOTAL_BITS - parseInt(subnetbits));
}

calculateAndUpdateValues('setAddress');

function calculateAndUpdateValues(action)
{
    var totalbits = 0,
        networkbits = 0,
        maskbits = 0,
        hostbits = 0,
        subnetbits = 0;

    var inputValuesMap = getInputValues();
    // var networkAddressArray = null;


    if(action == 'setAddress'){
        networkbits = parseInt(inputValuesMap.ipv6NetworkBits, 10);
        subnetbits  = 0;
        maskbits    = networkbits;
        hostbits    = 128 - maskbits
    }else if(action == 'setNoOfSubnets'){ //No I18N
        networkbits = parseInt(inputValuesMap.ipv6NetworkBits, 10);
        subnetbits  = inputValuesMap.ipv6SubnetBits;
        maskbits    = networkbits + subnetbits;
        hostbits    = TOTAL_BITS - maskbits
    }
    setNetworkBits(networkbits);
    setMaskBits(maskbits);
    setSubnetBits(subnetbits);
    setHostBits(hostbits);

    // console.log('Network bits : '+getNetworkBits());
    // console.log('Mask bits : '+getMaskBits());
    // console.log('Subnet bits : '+getSubnetBits());
    // console.log('Host bits : '+getHostBits());

    var noOfSubnets = getNumberOfSubnets();


    SUBNET_LIST_END_INDEX = TOTAL_NETWORK_BITS - getMaskBits();
    setSubnetList();
}



/**
 * Generate list of available subnets masks options
 */
function setSubnetList()
{
    elementId = document.getElementById(NUMBER_SUBNETS_SELECT_ID);

    var possibleNoOfSubnetList = 0;
    clearOptions(elementId);
    possibleNoOfSubnetList = getPossibleNoOfSubnetList();

    // generate numbers of subnets for selected block mask
    for(var i=0; i<possibleNoOfSubnetList.length; i++)
    {
        // console.log('possibleNoOfSubnetList[i][0] : '+possibleNoOfSubnetList[i][0]);

        if((parseInt(possibleNoOfSubnetList[i][0])+getNetworkBits()) <= TOTAL_NETWORK_BITS)
        {
            if (parseInt(possibleNoOfSubnetList[i][0]) == 0) {
                addOption(elementId,'/'+(parseInt(possibleNoOfSubnetList[i][0])+getNetworkBits())+' ('+possibleNoOfSubnetList[i][1]+' subnet)',possibleNoOfSubnetList[i][0], parseInt(possibleNoOfSubnetList[i][0])+getNetworkBits());
            } else {
                addOption(elementId,'/'+(parseInt(possibleNoOfSubnetList[i][0])+getNetworkBits())+' ('+possibleNoOfSubnetList[i][1]+' subnets)',possibleNoOfSubnetList[i][0], parseInt(possibleNoOfSubnetList[i][0])+getNetworkBits());
            }
        }


    }


    // select first of available
    $('#'+NUMBER_SUBNETS_SELECT_ID+' > option:first').prop('selected', true).trigger("change");
}

/**
 * Just calculate array with amount of available subnets per mask
 */
function getPossibleNoOfSubnetList()
{
    var arrToReturn = new Array();

    // console.log('SUBNET_LIST_START_INDEX : '+SUBNET_LIST_START_INDEX+', SUBNET_LIST_END_INDEX : '+SUBNET_LIST_END_INDEX);
    for(var subnetBitIndex=SUBNET_LIST_START_INDEX; subnetBitIndex<=SUBNET_LIST_END_INDEX; subnetBitIndex++)
    {
        // try to use bigint lib, or use default
        try {
            hostsNum = new BigNumber(Math.pow(2,subnetBitIndex));
            number   = hostsNum.toFormat();
            // arrToReturn.push(new Array(subnetBitIndex, Math.pow(2,subnetBitIndex)));
        } catch(e) {
            number = Math.pow(2,subnetBitIndex);
        }

        arrToReturn.push(new Array(subnetBitIndex, number));

    }

    return arrToReturn;
}

/**
 * Add option with subnets to choose for select form
 */
function addOption(elementId, text, value, noHosts)
{
    var optionElement = document.createElement('option');

    optionElement.text = text;
    optionElement.value = value;

    try {
        elementId.add(optionElement, null);
    } catch(e) {
        elementId.add(optionElement);
    }

    // update nr of hosts attribute
    $('#'+NUMBER_SUBNETS_SELECT_ID).children().eq(optionElement.index).attr('data-number-hosts', noHosts);
}

/**
 * Clear select options for subnets
 */
function clearOptions(elementId)
{
    $('#'+NUMBER_SUBNETS_SELECT_ID).children().remove();
}


</script>
{/literal}