
{if !$pool->id and !$block->id}
<div class="alert alert-info">
    Freshly installed module needs to be configured, here are the basic steps you need to undertake:<br />
    <br />
    1. Configure client area template throught adding integration code.<br />
    2. Proceed to Settings section to configure your product:<br />
    &nbsp;&nbsp;&bull;&nbsp;Configure module settings at <i>Show Settings</i> tab.<br />
    &nbsp;&nbsp;&bull;&nbsp;Add IP Reservation Rules at <i>IP Reservation Rules</i> tab.<br />
    &nbsp;&nbsp;&bull;&nbsp;Add Default Custom Fields at <i>Default Custom Fields</i> tab.<br />
    3. Now you can create your subnets under Subnets section.<br />
    <br />
    For more information visit our <a href="http://www.docs.modulesgarden.com/IP_Manager_For_WHMCS" target="_blank">Wiki</a>.<br />
    <br />
    {*<a class="btn btn-small btn-info btn-primary" data-act="disableTutorial" disabled>Hide Guide</a>*}
</div>

<div style="text-align:center"><a href="#" data-href="{'pools'|addon_url:'create'}&newpool=1" class="btn btn-big btn-success createPool">{$lang->_('Create New Subnet')}</a></div>
{else}
<div class="row-fluid">
    <div class="span4">
        <div class="panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">{$lang->_('Tree View')}</h3></div>
        <div class="panel-body">
            <div style="margin-left:-20px">
                
                {$treeView}

            </div>
        </div>
      </div>
            <a href="#" data-href="{'pools'|addon_url:'create'}&newpool=1" class="btn btn-small btn-success createPool">{$lang->_('Create New Subnet')}</a>
    </div>

    <div class="span8">
        
    {if $pool->id}
      <form id='savePool' action="{'pools'|addon_url:'assignclients'}" method="post" class="form-horizontal">
      <div class="panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">Subnet</h3>
        </div>
        <div class="panel-body">
            <div class="row-fluid">
        <dl class="dl-horizontal span6" id="columnTop">
            <dt>{$lang->_('Address')}</dt>
            <dd><strong>{$pool->pool}</strong></dd>
            <dt>{$lang->_('Mask')}</dt>
            <dd>{if $pool->type == 'ipv4'}{$pool->TranslatedMask} /{/if}{$pool->mask}</dd>
            {if $pool->type == 'ipv4'}
            <dt>{$lang->_('Size')}</dt>
            <dd>{$pool->FreeAndTotal[1]} {$lang->_('IP Addresses')}</dd>
                {if !$pool->hasChildSubnet}
                    <dt>{$lang->_('Real Size')}</dt>
                    <dd>{"`$pool->FreeAndTotal[1]-$pool->FreeAndTotal[5]`"} {$lang->_('IP Addresses')}</dd> 
                    <dt>{$lang->_('Free')}</dt>
                    <dd>{"`$pool->FreeAndTotal[1]-$pool->FreeAndTotal[5]-$pool->FreeAndTotal[2]`"} {$lang->_('IP Addresses')}</dd>
                {else}
                    <dt>{$lang->_('Free')}</dt>
                    <dd>{$pool->FreeAndTotal[0]} {$lang->_('IP Addresses')}</dd>
                {/if}
            {else}
                
            <dt>{$lang->_('Size')}</dt>
            <dd>{$pool->SizeIpv6}</dd>
            {/if}
        </dl>                                

        <dl class="dl-horizontal span6" id="columnUpper">

            <dt>{$lang->_('Namserver 1')}</dt>
            <dd>{$pool->ns1}</dd>
            <dt>{$lang->_('Namserver 2')}</dt>
            <dd>{$pool->ns2}</dd>
            <span class="nsMore" {if !$pool->rawNs3}style="display:none"{/if}>
                <dt>{$lang->_('Nameserver 3')}</dt>
                <dd>{$pool->ns3}</dd>
            </span>
            <span class="nsMore" {if !$pool->rawNs4}style="display:none"{/if}>
                <dt>{$lang->_('Nameserver 4')}</dt>
                <dd>{$pool->ns4}</dd>
            </span>
            <span class="nsMore" {if !$pool->rawNs5}style="display:none"{/if}>
                <dt>{$lang->_('Nameserver 5')}</dt>
                <dd>{$pool->ns5}</dd>
            </span>
            {if !$pool->rawNs3 || !$pool->rawNs4 || !$pool->rawNs5}
                <dt>
                    <button class="btn btn-small btn-success addNameservers" href="#">{$lang->_('Add More Nameservers')}</button>
                </dt>
                <dd></dd>
            {/if}
            <dt>{$lang->_('Gateway')}</dt>
            <dd>{$pool->gateway}</dd>
        </dl>
        </div>
        <div class="row-fluid">

        <dl class="dl-horizontal span12" style="margin-top:5px;">
        <dt>{$lang->_('Allocated')}</dt>
        <dd>
            {if $pool->hasChildSubnet}
            <div class="progress progress-{if $pool->freePercentage > 75}danger{elseif $pool->freePercentage > 40}warning{else}success{/if}">
                <div class="bar" style="width: {$pool->freePercentage}%;"><span style="{if $pool->freePercentage < 7}color:#454545;{/if}">{$pool->freePercentage}% ({$pool->getReserved()} reserved {if $pool->type == 'ipv4'}for{/if} subnets)</span></div>{*#2F2F2F*}
            </div>
            {else}
            <div class="progress progress-{if $pool->freePercentageSubnet > 75}danger{elseif $pool->freePercentageSubnet > 40}warning{else}success{/if}">
                <div class="bar" style="width: {$pool->freePercentageSubnet}%;"><span style="{if $pool->freePercentageSubnet < 7}color:#454545;{/if}">{$pool->freePercentageSubnet}% ({$pool->FreeAndTotal[2]} used)</span></div>{*#2F2F2F*}
            </div>
            {/if}
        </dd>
        </dl>

            <a class="btn btn-small btn-danger deletePool" href="#" data-href="{'pools'|addon_url:'delete'}&pool_id={$pool->id}" data-assigned='{$pool->assignedCountIPs}' data-toggle="modal" data-message="{$lang->_('Are you sure you want to delete this pool?')}" data-target="#alertModal" style="margin-top: 5px; ">
                {$lang->_('Delete')}
            </a>

            {if !$pool->hasChildSubnet}
            <a class="btn btn-small btn-info splitPool {if $pool->assignedCountIPs}ipmBlockedUrl{/if}" href="#" {if $pool->assignedCountIPs}disabled{/if} data-href="{'pools'|addon_url:'split'}&pool_id={$pool->id}" data-typeofip="{$pool->type}" data-mask="{$pool->mask}" style="margin-top: 5px;">
                {$lang->_('Split')}
            </a>
            <a class="btn btn-small btn-success mergePool {if $pool->assignedCountIPs}ipmBlockedUrl{/if}" href="#" {if $pool->assignedCountIPs}disabled{/if} data-href="{'pools'|addon_url:'merge'}&pool_id={$pool->id}" data-toggle="modal" data-message="{$lang->_('Are you sure you want to merge this pool?')}" data-target="#alertModal" style="margin-top: 5px;">
                {$lang->_('Merge')}
            </a>
            {/if}
            <a class="btn btn-small btn-warning createSubnet" {if $pool->assignedCountIPs}data-assigment="{$pool->assignedCountIPs}"disabled{/if} href="{'pools'|addon_url:'create'}&ajax=1" data-childMask='{$pool->childMask}' data-parentID="{$pool->id}" data-mask="{$pool->mask}" data-typeofip="{$pool->type}" style="margin-top: 5px;">
                {$lang->_('Create Child Subnet')}
            </a>
            
                
                
           <div class="control-group">
                            <label class="control-label"></label>

                        </div>
           </div>
        </div>
      </div>
       {if !$pool->hasChildSubnet}
      <div class="panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">{$lang->_('Excluded IP Addresses')}</h3>
        </div>
        <div class="panel-body">
            <textarea rows="5" style="width: 100%; height: 150px; resize: none;" name="excluded">{$pool->ExcludedIP}</textarea>
            <span class="help-block">{$lang->_('You can exclude any number of IP addresses from the subnet, by providing it here, one IP address per line.')}
            <a href="#" class="tooltip2">
                    <i class="icon-question-sign"></i>
                    <span>{$lang->_('You can also exclude a range of IP addresses by passing it to field next to, separate by the "-" sign. For example: 192.168.0.3-192.168.0.14. However ranges exclude works currently only for IPv4.')}</span>
            </a>
            </span>
        </div>
      </div>
      {/if}
      <div class="panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">{$lang->_('Custom Fields')}</h3>
        </div>
        <div class="panel-body">


        <dl class="dl-horizontal">
        {foreach from=$pool->customFields item=value key=key}
            <span><dt>{$value->name}</dt> <dd><a href="#" class="editable" title="{$lang->_('Click to Edit')}" data-type="text" data-name="{$value->name}" data-pk="{$pool->id}" data-url="addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=cfupdate&key={$value->id}" data-key="{$value->id}" data-title="Plese enter a custom field value">{$value->value}</a></dd></span>
        {foreachelse}
            <span class="muted" style="color: #999;">{$lang->_('No custom fields set for this IP pool')}</span>
        {/foreach}

        </dl>
        <br>
        <a href="{'pools'|addon_url:'cfcreate'}&pool_id={$pool->id}&type=pool&iplistnew=1" title="{$lang->_('Create New Custom Field')}" class="createCustomField btn btn-small btn-success">{$lang->_('Create New Custom Field')}</a>

        </div>
      </div>
        
    <input type="hidden" name="pool_id" value="{$pool->id}" />
        
    {if !$pool->hasChildSubnet}
      <div class="panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">{$lang->_('Assigned Client/Service')}</h3>
        </div>
        <div class="panel-body ">
        <dl class="dl-horizontal span3">
            <input type="hidden" name="modaction" value="setpools" />
            <dt>{$lang->_('Client')}</dt>
            <dd><input type="hidden" name="pools[{$pool->id}][client_id]" style="width:200px;" class="clientAutocomplete" {if $pool->Assigned->clientdisabled}readonly{/if}  data-parent-id="{$pool->parent_id}" data-clientid="{$pool->Assigned->client_id}" data-clientname="{$pool->Assigned->clientname}" data-placeholder="{$lang->_('Please enter something...')}"></dd>
            <dt>{$lang->_('Service')}</dt>
            <dd><input type="hidden" name="pools[{$pool->id}][service_id]" style="width:200px;" class="serviceAutocomplete" data-cos="{$pool->Assigned->servicedisabled}" {if $pool->Assigned->servicedisabled}readonly{/if}  tabindex="-1" data-parent-service-id="{$pool->parent_id}" data-serviceid="{$pool->Assigned->service_id}" data-servicename="{$pool->Assigned->servicename}" data-placeholder="{$lang->_('Please provide a domain')}"></dd>
        </dl>
        </div>
      </div>
    {/if}
    </form>
        {if !$pool->hasChildSubnet}<div class="form-actions">
            <button class="btn btn-primary" id='btnSavePool'><span class="icon icon-save"></span> {$lang->_('Save Changes')}</button>
        </div>{/if}
        {elseif $block->id}
        <div class="panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">{$lang->_('Subnet')}</h3>
        </div>
        <div class="panel-body">
            <div class="row-fluid">
        <dl class="dl-horizontal span6">
            <dt>Address</dt>
            <dd><strong>{$block->pool}</strong></dd>
            <dt>Mask</dt>
            <dd>{$block->mask}</dd>
            <dt>Max Subnets</dt>
            <dd>{$block->FreeTextData->total}</dd>
            <dt>Can Be Generated</dt>
            <dd>{$block->FreeTextData->toGenerate}</dd>
            <dt>Generated Subnets</dt>
            <dd>{$block->FreeTextData->generated}</dd>
            <dt>Ready To Assign</dt>
            <dd>{$block->FreeTextData->generatedFree}</dd>

        </dl>                                

        <dl class="dl-horizontal span6 onecolumn">
            <dt>Subnets CIDR</dt>
            <dd>{$block->FreeTextData->poolCIDR}</dd>
            <dt>Address in Subnet</dt>
            <dd>{$block->FreeTextData->blockSubnetBigInt}</dd>
            <dt>Namserver 1</dt>
            <dd>{$block->ns1}</dd>
            <dt>Namserver 2</dt>
            <dd>{$block->ns2}</dd>
            <dt>Gateway</dt>
            <dd>{$block->gateway}</dd>
        </dl>
        </div>
        <div class="row-fluid">
        <dl class="dl-horizontal span12" style="margin-top:5px;">
        <dt>{$lang->_('Generated Subnets')}</dt>
        <dd>
            <div class="progress progress-{if $block->freePercentage > 75}danger{elseif $block->freePercentage > 40}warning{else}success{/if}">
                <div class="bar" style="width: {$block->freePercentage}%;"><span style="padding: 0 5px; {if $block->freePercentage < 7}color:#454545;{/if}"></span></div>{*#2F2F2F*}
            </div>
        </dd>
        <dt>{$lang->_('Assigned Subnets')}</dt>
        <dd>
            <div class="progress progress-{if $block->assignedPercentage > 75}danger{elseif $block->assignedPercentage > 40}warning{else}success{/if}">
                <div class="bar" style="width: {$block->assignedPercentage}%;"><span style="padding: 0 5px; {if $block->assignedPercentage < 7}color:#454545;{/if}"></span></div>{*#2F2F2F*}
            </div>
        </dd>
        </dl>
            <a class="btn btn-small btn-danger deletePool" href="#" data-href="{'pools'|addon_url:'delete'}&block_id={$block->id}" data-toggle="modal" data-message="Are you sure you want to delete this pool?" data-target="#alertModal" style="margin-top: 5px; ">
                Delete
            </a>

            <form id="generateSubnet" method="post" action="{'pools'|addon_url:'addBlockSubnets'}&block_id={$block->id}">
                <button class="btn btn-small btn-warning" type="submit" style="margin-top: 5px;">
                    Create Subnet
                </button>
                <input type="text" name="howmanyaddressess"  value="1" size="8" style="width: 60px; margin-left:5px;"><span style="margin-left:5px;">Number Subnets to generate</span> 
            </form>
         </div> 
        </div>
      </div>
      
    {/if}
    
 
    </div>
</div>
<div class="row-fluid">
    <div class="span12" {if $pool->hasChildSubnet}style="display:none"{/if})>
      <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">{$lang->_('IP Addresses')}</h3>                              
        </div>
        <div class="panel-body">
            <form method="post" class="form-horizontal ipv4form" {if $pool->type == 'ipv4'} action="{'pools'|addon_url:'addIPv4AddressToPool'}&iplistnew=1" {else} action="{'pools'|addon_url:'addIPv6'}&iplistnew=1" {/if}>
                <div style="text-align:right;margin-bottom: 10px;">
                        <input type="hidden" name="poolID" value="{$pool->id}" />
                        <select name="howmany" class="pretty-select span1 pull-right" style="margin-left: 3px;">
                            {section name=foo loop=256}
                                <option value="{$smarty.section.foo.iteration}">{$smarty.section.foo.iteration}</option>
                            {/section}
                        </select>
                    <button style="height: 32px; font-size: 12px; display: inline-block; float:left;" class="destroy_pager btn btn-success">{$lang->_('Show All IPs')}</button>
                    <button href="{'pools'|addon_url:'addIPForm'}&pool_id={$pool->id}" style="height: 32px; font-size: 12px; display: inline-block;" class="addOneAddress btn btn-success">{$lang->_('Add Custom IP')}</button>
                    <button type="submit" class="btn btn-small btn-success" style="height: 32px; font-size: 12px !important; display: inline-block;" >{$lang->_('Add IP Address')}</button>
                </div>
            </form>

            <table id="ipList" data-pool-id="{if $pool->id}{$pool->id}{else}{$block->id}{/if}" class="display" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th class="sorting_disabled massCheck"><input type="checkbox" value="1" id="ipMassActionsCheckAll"></th>
                        <th>{$lang->_('IP Address')}</th>
                        <th>{$lang->_('Service')}</th>
                        <th>{$lang->_('Username')}</th>
                        <th>{$lang->_('Client Name')}</th>
                        <th>{$lang->_('Assigment Date')}</th>
                        <th>{$lang->_('Custom Fields')}</th>
                        <th>{$lang->_('Actions')}</th>
                    </tr>
                </thead>
            </table>
                    
            <div class="ipmassActionButtons" id="ipmMassActionButtons">
                <button class='btn btn-small btn-danger' id="ipmMassDeleteIp" disabled>{$lang->_('massDeleteBtn')}</button>
                <button class='btn btn-small btn-success' id="ipmMassAssignIp" disabled>{$lang->_('massAssignBtn')}</button>
                <button class='btn btn-small btn-primary' id="ipmMassUnassignIp" disabled>{$lang->_('massUnassignBtn')}</button>                
            </div>
        </div>
      </div>
    </div>
</div>
{/if}                    

{literal}
    <script type="text/javascript">
        ipmMassDeleteLang = {/literal}'{$lang->_('ipmMassDeleteLang')}'{literal};
        ipmMassUnassignLang = {/literal}'{$lang->_('ipmMassUnassignLang')}'{literal};
        ipmMassAssignLang = {/literal}'{$lang->_('ipmMassAssignLang')}'{literal};
    </script>
{/literal}                

<div style="display:none;" id="ipmMassDeleteModal">
    <div class="ipDeleteModal">
        <p>{$lang->_('ipMassDeleteConfirm')}</p>
        <table id="ipmTaskTable" class="table table-striped">
            <thead>
                <th class="ipmTaskColFirst"></th>
                <th class="ipmTaskColIp">{$lang->_('ipMassTableHeader')}</th>
                <th>{$lang->_('ipMassTableHeaderStatus')}</th>
            </thead>
            <tbody>

            </tbody>
        </table>
        <div style="text-align: center;">
            <button class="btn btn-danger" id="ipmMassDeleteIpConfirm">{$lang->_('ipMassDeleteConfirmBtn')}</button>
        </div>
    </div>
</div>

<div style="display:none;" id="ipmMassUnassignModal">
    <div class="ipUnassignModal">
        <p>{$lang->_('ipMassUnassignConfirm')}</p>
        <p><input type="checkbox" id="ipmusemodule" value="1" checked>
        {$lang->_('Use the integration module')}</p>        
        <table id="ipmTaskTable" class="table table-striped">
            <thead>
                <th class="ipmTaskColFirst"></th>
                <th class="ipmTaskColIp">{$lang->_('ipMassTableHeader')}</th>
                <th>{$lang->_('ipMassTableHeaderStatus')}</th>
            </thead>
            <tbody>

            </tbody>
        </table>
        <div style="text-align: center;">
            <button class="btn btn-primary" id="ipmMassUnassignIpConfirm">{$lang->_('ipMassUnassignConfirmBtn')}</button>
        </div>
    </div>
</div>

<div style="display:none;" id="ipmMassAssignModal">
    <div class="ipAssignModal">
        <form method="post" action="{'pools'|addon_url:'assign'}&ip={$smarty.get.ip}&poolID={$smarty.get.poolid}&page={$smarty.get.page}&ajax={$smarty.get.ajax}">
            <div class="control-group">
                <div class="controls">
                    <p class="lead" style="margin: 10px 0;"> {$lang->_('Assign IP\'s to the service')}</p>
                    <input type="hidden" id="ipmaccountid" name="accountid" class="span4 serviceAutocomplete2 assignAutocomplete" tabindex="-1" data-placeholder="{$lang->_('Please provide a domain or a username...')}">
                </div>
            </div>
            <div class="clear"></div>
            <div class="control-group">
                <div class="controls" style="margin: 20px 0;">
                    <p class="lead" style="margin: 10px 0;">{$lang->_('3rd Party Integration')}</p>
                    <label>
                        <input type="checkbox" name="usemodule" id="ipmusemodule" value="1">
                        {$lang->_('Use the integration module')}
                    </label>
                    <p class="help-block muted"><span class="label label-important" style="background-color: #b94a48;">{$lang->_('Important!')}</span> {$lang->_('The IP Address will be integrated with the service only if the service has no IP Addresses currently assigned, otherwise IP Address will be only assigned.')}</p>
                </div>
            </div>
            <div class="control-group">
                <div class="controls">
                    <input type="checkbox" name="customIP" id="ipmcustomIP" class="customIP" value="1" /><span> {$lang->_('Cutom assign')}</span><br/><br/>
                    <textarea name="custom_text" class="custom_text" id="ipmcustom_text" style="width: 253px;height: 55px;" disabled></textarea><br/><br/>
                </div>
            </div>
        </form>

        {literal}
            <script type="text/javascript">
                (function($){
                    $('[name=customIP]').change(function(){
                       $(this).siblings('.custom_text').prop('disabled',!$(this).is(':checked'));
                    });
                })(window.jQuery);
            </script>
        {/literal}        
        
        <p>{$lang->_('ipMassAssignConfirm')}</p>
        <table id="ipmTaskTable" class="table table-striped">
            <thead>
                <th class="ipmTaskColFirst"></th>
                <th class="ipmTaskColIp">{$lang->_('ipMassTableHeader')}</th>
                <th>{$lang->_('ipMassTableHeaderStatus')}</th>
            </thead>
            <tbody>

            </tbody>
        </table>
        <div style="text-align: center;">
            <button class="btn btn-success" id="ipmMassAssignIpConfirm">{$lang->_('ipMassAssignConfirmBtn')}</button>
        </div>
    </div>
</div>

{if !$isWHMCS6}
{literal}
    <style type="text/css">
        #mg-wrapper table .editable-input input[type="text"] {
            height: 16px;
            width: initial;
        }
        
        #mg-wrapper table .editable-input span {
            padding-bottom: 0px;
        }
        
        #mg-wrapper table .editable-buttons button {
            height: 25px !important;
            margin-top: 2.5px;
        }
    </style>
{/literal}
{/if}
