<h2 class="appendBottomMargin">{$lang->_('IP Addresses Pool')} <a href="#" class="showFilterBox"><i class="icon icon-search"></i></a></h2>

<p><span class="label label-warning">{$lang->_('Important!')}</span> {$lang->_('IPv6 pools displays only assigned IP addresses due to optimalisation. If you want to create new IP Address in this pool, use "Create New IP" button.')}</p>

<div class="well filterBox">
    <form method="get">
        {foreach from=$smarty.get item=value key=key}
            {if $key neq 'filters'}
                <input type="hidden" name="{$key}" value="{$value}">
            {/if}
        {/foreach}
        <table class="table table-condensed">

            <tr>
                <td><label>{$lang->_('Show Only Assigned To')}</label></td>
                <td><label>{$lang->_('Show For Client/s')}</label></td>
                <td><label>{$lang->_('Search For An IP Address')}</label></td>
                <td><label>{$lang->_('Show Only')}</label></td>
                <td><label>{$lang->_('Results Per Site')}</label></td>
            </tr>
            <tr>
                <td>
                    <input type="hidden" name="filters[accounts][]" class="span4 serviceAutocomplete" data-multiple="true" data-placeholder="Please enter something...">
                </td>{*  data-clients="{','|implode:$filters.clients}" *}
                <td>
                    <input type="hidden" name="filters[clients][]" class="span4 clientAutocomplete"  data-multiple="true" data-placeholder="Please enter something...">
                </td>{* data-clients="{','|implode:$filters.clients}" *}
                <td style="padding-right: 20px;">
                    <input type="text" name="filters[ip]" value="{$filters.ip|default:''}" placeholder="(eg. 10.0.0.1)" class="span4" style=" {if $isWHMCS6}{else}height: 20px;{/if} min-width: 250px; border-radius: 0;">
                </td>
                <td>
                    <select name="filters[only]" class="pretty-select span4">
                        <option value="all"{if isset($filters.only) and $filters.only eq 'all'} selected="selected"{/if}>All</option>
                        <option value="free"{if isset($filters.only) and $filters.only eq 'free'} selected="selected"{/if}>Free</option>
                        <option value="assigned"{if isset($filters.only) and $filters.only eq 'assigned'} selected="selected"{/if}>Assigned to service</option>
                    </select>
                </td>
                <td>
                    <select name="filters[limit]" class="pretty-select span3">
                        {foreach from=$limits item=limit}
                            <option{if (isset($filters.limit) and $filters.limit eq $limit) or (! isset($filters.limit) and $limit eq 20)} selected="selected"{/if}>{$limit}</option>
                        {/foreach}
                    </select>
                </td>
            </tr>
        </table>
        <div class="" style="">
            <button class="btn btn-primary" type="submit"><span class="icon icon-filter"></span> {$lang->_('Filter Results')}</button>
            <button class="btn btn-inverse" type="reset" id="clearFiltersButton" data-id="{$smarty.get.pool_id}"><span class="icon icon-remove"></span> {$lang->_('Reset Filters')}</button>
        </div>
    </form>
</div>

<!--
<form method="post" style="margin: 0;">
    <h4>{$lang->_('Assign A Block of IP Addresses')}</h4>

    <p>{$lang->_('At this step you can assign a whole block of IP addresses, to a single service instead of single one.')}</p>
</form>-->

<form method="post" class="form-horizontal {if $isWHMCS6}{else}form-low{/if} ipv4form" action="{'pools'|addon_url:'addIpv6'}">
    <div style="text-align:right;margin-bottom: 10px;">
            <input type="hidden" name="poolID" value="{$smarty.get.pool_id}" />
            <select name="howmany" class="pretty-select span2 pull-right">
                {section name=foo loop=256}
                    <option value="{$smarty.section.foo.iteration}">{$smarty.section.foo.iteration}</option>
                {/section}
            </select>

        <button type="submit" class="btn btn-success" style="display: inline-block;" >{$lang->_('Create IP Address')}</button>
        {* <a class="btn btn-success" style="display: inline-block;" href="addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=addIpv6&poolID={$smarty.get.pool_id}">{$lang->_('Create IP Address')}</a> *}
    </div>
</form>

<form method="post" class="form-horizontal {if $isWHMCS6}{else}form-low{/if} ipv4form">
    <input type="hidden" name="modaction" value="setips" />
    <input type="hidden" name="poolID" value="{$smarty.get.pool_id}" />
    <input type="hidden" name="page" value="{if $smarty.get.page}{$smarty.get.page}{else}1{/if}" />
    <table class="table" id="ipManagerIPList">
        <thead>
            <tr>
                <th width="15" style="text-align: center;"><input type="checkbox" id="toggleAll" /></th>
                <th>{$lang->_('IP Address')}</th>
                <th>{$lang->_('Service')}</th>
                <th>{$lang->_('Username')}</th>
                <th>{$lang->_('Client Name')}</th>
                <th>{$lang->_('Assignment Date')}</th>
                <th width="250">{$lang->_('Custom Fields')}</th>
                <th width="250">{$lang->_('Actions')}</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$ips item=ip}
                <tr>
                    <td style="text-align: center;">
                        <input type="checkbox" name="ips[]" value="{$ip->id}" class="toggleCheckbox" />
                    </td>
                    <td>{$ip->ip}</td>
                    {if $ip->custom eq 1}
                        <td colspan="4">{$ip->custom_text}</td>
                    {else}
                        {if $ip->serviceid eq ''}
                            <td colspan="4"><span class="muted">{$lang->_('Not Assigned Yet')}</span></td>
                        {else}
                            <td><a href="clientsservices.php?id={$ip->serviceid}">{$ip->product_name} {if $ip->domain neq ''}({$ip->domain}){else}<span class="muted">{$lang->_('(Domain unknown or empty)')}</span>{/if}</a></td>
                              <td>{$ip->username|default:'<span class="muted">Unknown/Empty</span>'}</td>
                              <td>{$ip->clientname}</td>
                              <td>{$ip->created_at|default:'<span class="muted">Unknown</span>'}</td>
                        {/if}
                    {/if}
                    <td>
                        <ul style="margin: 0;">
                            {foreach from=$ip->customFields item=value key=key}
                                <li style="list-style-type: none;"><span>{$key}</span>: <a href="#" class="editable" title="{$lang->_('Click to Edit')}" data-type="text" data-name="{$key}" data-pk="{$ip->id}" data-url="addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=cfupdate&type=ip" data-title="Plese enter a custom field value">{$value}</a></li>
                            {foreachelse}
                                <li style="list-style-type: none;"><span class="muted" style="color: #999;">{$lang->_('No custom fields set for this IP address')}</span></li>
                            {/foreach}
                            <li style="padding-top: 5px;list-style-type: none;"><a href="addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=cfupdate&ipID={$ip->id}&poolID={$smarty.get.pool_id}&type=ip" title="{$lang->_('Create a New Custom Field')}" class="createCustomField">{$lang->_('Create a New Custom Field')}</a></li>
                        </ul>
                    </td>
                    <td>
                        <a href="{'pools'|addon_url:'unassign'}&ip={$ip->ip}&poolID={$smarty.get.pool_id}&serviceid={$ip->serviceid}&page={if $smarty.get.page}{$smarty.get.page}{else}1{/if}" class="btn unassignIP btn-primary{if $ip->serviceid eq ''} disabled{/if}">{$lang->_('Unassign')}</a>
                        <a href="{'pools'|addon_url:'assign'}&ip={$ip->ip}&poolID={$smarty.get.pool_id}&page={if $smarty.get.page}{$smarty.get.page}{else}1{/if}" class="btn ipAssignToService btn-success{if $ip->serviceid neq ''} disabled{/if}">{$lang->_('Assign To')}</a>
                        <a href="{'pools'|addon_url:'deleteip'}&ip={$ip->ip}&poolid={$smarty.get.pool_id}&page={if $smarty.get.page}{$smarty.get.page}{else}1{/if}" class="btn btn-danger btn-deleteAddress">{$lang->_('Delete')}</a>
                    </td>
                </tr>
                {foreachelse}
                    <tr>
                        <td colspan="8" style="text-align: center">{$lang->_('No results found with selected filters.')}</td>
                    </tr>
                {/foreach}
                </tbody>
            </table>

            {if $ips|@count gt 0}
                <div class="pagination pull-left">{$pagination->getPagination()}</div>

                <div class="actions pull-right">
                    <label>{$lang->_('Action For Selected IP Addresses:')}</label>
                    <select name="selectaction" class="pretty-select" style="width: 250px;">
                    <option value="delete">{$lang->_('Delete From The Pool')}</option>
                    <option value="unassign">{$lang->_('Unassign')}</option>
                    <option value="unassignmod">{$lang->_('Unassign Using Submodule (if applicable)')}</option>
                    <option value="massassign">{$lang->_('Mass Assign')}</option>
                </select>
            </div>

            <div class="clear"></div>

            <div class="form-actions">
                <button class="btn btn-success">{$lang->_('Save Changes')}</button>
                <a class="btn btn-danger" href="{'pools'|addon_url}">{$lang->_('Back To Pools List')}</a>
            </div>
        {/if}
    </form>