<h2 style="margin-bottom: 20px">{$lang->_('Module Settings')}</h2>

<form method="post" action="addonmodules.php?module=ipmanager2&modpage=settings&modsubpage=store">

    <fieldset>
        <h4 style="margin: 15px 0;">{$lang->_('Assignment Process Settings')}</h4>
        <div class="control-group">
            <label class="control-label">{$lang->_("Omit the 'Dedicated IP' field for chosen configurations:")}</label>
            <input type="hidden" name="setting[IPManagerOmmitedConfigurations]" value="">
            <select class="pretty-select" name="setting[IPManagerOmmitedConfigurations][]" style="width: 350px;" multiple data-placeholder="{$lang->_('Please specify configurations')}">
                {foreach from=$configurations item=configuration}
                    <option value="{$configuration->id}"{if $config.IPManagerOmmitedConfigurations}{if in_array($configuration->id, $config.IPManagerOmmitedConfigurations)} selected="selected"{/if}{/if}>{$configuration->description}</option>
                {/foreach}
            </select>

            <p class="help-block" style="margin: 10px 0;">{$lang->_('If you want, you can specify the categories for which the \'Dedicated IP\' field will be omitted, all the assigned IP addresses will be stored in the \'Assigned IPs\' or custom fields.')}</p>
        </div>
        <div class="control-group">
            <input type="hidden" name="setting[IPManagerUseCustomField]" value="0">
            <label style="vertical-align: middle;"><input type="checkbox" name="setting[IPManagerUseCustomField]" value="1"{if $config.IPManagerUseCustomField eq 1} checked="checked"{/if}> <span>{$lang->_("I want to use 'IP Addresses' custom field instead of 'Assigned IPs' field.")}</span></label>
        </div>
        <div class="control-group">
            <input type="hidden" name="setting[IPManagerForceAssigmentEnabled]" value="0">
            <label style="vertical-align: middle;"><input type="checkbox" name="setting[IPManagerForceAssigmentEnabled]" value="1"{if $config.IPManagerForceAssigmentEnabled eq 1} checked="checked"{/if}> <span>{$lang->_("I want to insert the IP addresses in the history, even in case of the module provisioning failure.")}</span></label>
        </div>
        <div class="control-group">
            <input type="hidden" name="setting[IPManagerAutoDowngrade]" value="0">
            <label style="vertical-align: middle;"><input type="checkbox" name="setting[IPManagerAutoDowngrade]" value="1"{if $config.IPManagerAutoDowngrade eq 1} checked="checked"{/if}> <span>{$lang->_("I want to automatically process the IP address when downgrading the configurable option.")}</span></label>
        </div>
        <div class="control-group">
            <input type="hidden" name="setting[IPManagerIgnoreSubmodule]" value="0">
            <label style="vertical-align: middle;"><input type="checkbox" name="setting[IPManagerIgnoreSubmodule]" value="1"{if $config.IPManagerIgnoreSubmodule eq 1} checked="checked"{/if}> <span>{$lang->_("I want to ignore the results of the IP address processing by 3rd party integration module.")}</span></label>
        </div>
    </fieldset>


    <fieldset>
        <h4 style="margin: 15px 0;">{$lang->_('IP Logs Settings')}</h4>
        <div class="control-group">
            <input type="hidden" name="setting[IPManagerDisableCustomAssignedInLogs]" value="0">
            <label style="vertical-align: middle;"><input type="checkbox" name="setting[IPManagerDisableCustomAssignedInLogs]" value="1"{if $config.IPManagerDisableCustomAssignedInLogs eq 1} checked="checked"{/if}> <span>{$lang->_("I want to ignore entries for not existing products/clients in Logs table.")}</span></label>
        </div>
    </fieldset>

    <fieldset>
        <h4 style="margin: 15px 0;">IP Reservation Settings</h4>
        <div class="control-group">
            <input type="hidden" name="setting[IPManagerReservationIP]" value="0">
            <label style="vertical-align: middle;"><input type="checkbox" name="setting[IPManagerReservationIP]" value="1"{if $config.IPManagerReservationIP eq 1} checked="checked"{/if}> <span>IP Reservation Enabled</span></label>
        </div>
    </fieldset>     

    <fieldset>
        <h4 style="margin: 15px 0;">{$lang->_('Email Reminder Settings')}</h4>

        <div class="control-group">
            <input type="hidden" name="setting[IPManagerEmailReminder]" value="0">
            <label><input type="checkbox" name="setting[IPManagerEmailReminder]" value="1"{if $config.IPManagerEmailReminder eq 1} checked="checked"{/if}> {$lang->_('I want to receive an email when the pool is running out of IP addresses.')}</label>
        </div>

        <div class="control-group">
            <input type="text" id="percentageAmount" name="setting[IPManagerPercentageAmountBeforeSend]" value="{$config.IPManagerPercentageAmountBeforeSend|default:50}" style="border:0; color:#f6931f; width: 40px; font-weight:bold; vertical-align: baseline;"> <label for="percentageAmount" style="display: inline;">{$lang->_('Email notification will be sent once the given percentage value of IP addresses used in any pool has been exceeded:')} </label>
            <div style="width: 500px;"><div class="percentageSlider"></div></div>
        </div>
    </fieldset>


    <div class="form-actions">
        <button type="submit" class="btn btn-small btn-primary">{$lang->_('Update Settings')}</button>
    </div>



    <h2 style="margin-bottom: 20px">{$lang->_('IP Addresses Cleaner')}</h2>

    <fieldset>
        <h4 style="margin: 15px 0;">{$lang->_('IP Addresses Cleaner Settings')}</h4>
        <div class="control-group">
            <input type="hidden" name="setting[IPManagerAddToHosting]" value="0">
            <label style="vertical-align: middle;"><input type="checkbox" name="setting[IPManagerAddToHosting]" value="1"{if $config.IPManagerAddToHosting eq 1} checked="checked"{/if}> <span>{$lang->_("I want to add IP Addresses to Hosting from History entry.")}</span></label>
        </div>
        <div class="control-group">
            <input type="hidden" name="setting[IPManagerReleaseIP]" value="0">
            <label style="vertical-align: middle;"><input type="checkbox" name="setting[IPManagerReleaseIP]" value="1"{if $config.IPManagerReleaseIP eq 1} checked="checked"{/if}> <span>{$lang->_("I want to delete IP Addresses, that do not exist in Hosting, from History.")}</span></label>
        </div>
        <div class="control-group">
            <input type="hidden" name="setting[IPManagerDeleteFromHosting]" value="0">
            <label style="vertical-align: middle;"><input type="checkbox" name="setting[IPManagerDeleteFromHosting]" value="1"{if $config.IPManagerDeleteFromHosting eq 1} checked="checked"{/if}> <span>{$lang->_("I want to delete IP Addresses, that do not exist in IP Manager, from Hosting.")}</span></label>
        </div>
        <div class="control-group">
            <input type="hidden" name="setting[IPManagerAddToHistory]" value="0">
            <label style="vertical-align: middle;"><input type="checkbox" name="setting[IPManagerAddToHistory]" value="1"{if $config.IPManagerAddToHistory eq 1} checked="checked"{/if}> <span>{$lang->_("I want to add IP Addresses, that exist in IP Manager, from Hosting to History entries.")}</span></label>
        </div>
        <div class="control-group">
            <input type="hidden" name="setting[IPManagerDeleteFromHistory]" value="0">
            <label style="vertical-align: middle;"><input type="checkbox" name="setting[IPManagerDeleteFromHistory]" value="1"{if $config.IPManagerDeleteFromHistory eq 1} checked="checked"{/if}> <span>{$lang->_("I want to delete IP Addresses, that do not exist in IP Manager, from History.")}</span></label>
        </div>
        <div class="control-group">
            <input type="hidden" name="setting[CronEnableIP]" value="0">
            <label style="vertical-align: middle;"><input type="checkbox" name="setting[CronEnableIP]" value="1"{if $config.CronEnableIP eq 1} checked="checked"{/if}> <span>{$lang->_("I want to enable IP Addresses, that do not exist in History entries.")}</span></label>
        </div>
        <span class="badge badge-warning">{$lang->_('Save Changes before running Cleaner')}</span>
        <br/>

    </fieldset>
    <div class="form-actions">
        <button type="submit" class="btn btn-small btn-primary">{$lang->_('Update Settings')}</button>
        <a href="{'cron'|addon_url:'cleanup'}" class="btn btn-small btn-success cleanUp">{$lang->_("Preform Cron Cleanup")}</a>
    </div>



</form>