<div class="alert alert-info">
Automate the reservation process by setting up rules that will help you to exclude some of the IP addresses from a subnet.<br /><br />
Rule examples:<br />
If you <b>do not</b> want the first IP address in a subnet to be used by a customer, add <span style="color: red;">n</span> in the 'Rule' row.<br />
If you <b>do not</b> want the second IP address in a subnet to be used by a customer, add <span style="color: red;">n+1</span> in the 'Rule' row.<br />
In case you <b>do not</b> want the last IP address in a subnet to be used by a customer, then add <span style="color: red;">m</span> in the 'Rule' row.<br />
</div>

<form method="post" action="{'settings'|addon_url:'assignReservationFields'}">

    <table id="defaultFields" class="table">
    <thead>
      <tr>
        <th>{$lang->_('Rule')}</th>
        <th>{$lang->_('Description')}</th>
        <th width="50">Action</th>
      </tr>
    </thead>
    <tbody>
    {if !$fields}
        <tr id="noneRow"><td colspan="3">{$lang->_('No Rules')}</td></tr>
    {/if}
    {foreach from=$fields item=value key=key}
        <tr>
            <td><input type="text" name="dfield[{$value->id}][name]" pattern="[nm+\-\d\s]+" value="{$value->rule}"></td>
            <td><input type="text" name="dfield[{$value->id}][value]" value="{$value->name}"></td>
            <td>
                <button class="btn btn-small btn-danger deleteField" data-id="{$value->id}" {if !$isWHMCS6}style="line-height: initial !important;"{/if}>
                    {$lang->_('Delete')}
                </button>
            </td>
        </tr>
    {/foreach}

    </tbody>
  </table>
    <br>

    <div class="form-actions">
        <button id="addNewRow" class="btn btn-small btn-primary">{$lang->_('Add New Rule')}</button>
        <button type="submit" class="btn btn-small btn-success">{$lang->_('Save Changes')}</button>
    </div>

</form>
{if !$isWHMCS6}
{literal}
    <style type="text/css">
        #defaultFields tbody > tr > td:not(:last-child) {
            padding: 8px 23px 8px 8px;
        }
        
        #defaultFields tbody > tr > td:last-child {
            vertical-align: middle;
        }
    </style>
{/literal}
{/if}