var IPMServiceDetails = 
{
    poolid: null,
    
    currentAddress: null,
    
    currentUsesubmodule: null,
    
    buttonlang: null,
    
    init: function() 
    {
        this.getAssignIpModal();
        this.overrideModuleButtons();
    },
    
    getAssignIpModal: function()
    {
        IPMRequest.getJSON("getAssignIpModal", {}, function(data)
        {
            jQuery("#contentarea").append(data.html);
            IPMServiceDetails.buttonlang = data.jsLang.assignip;
            
            //add custom button
            jQuery("[name='dedicatedip']").css("display", "inline");
            jQuery("[name='dedicatedip']").parent().append('<a id="ipmanager-assignip" href="#"><img src="images/icons/add.png" border="0" align="top"> '+IPMServiceDetails.buttonlang+'</a>');
            jQuery(".use-submodule-field").hide();
           
            jQuery("#ipmanager-assignip").on("click", function()
            {
                //init tree
                IPMServiceDetails.initTree();
                IPMServiceDetails.initDataTable();
                IPMServiceDetails.addIpAddressHandler(); 
                IPMServiceDetails.useSubmoduleHandler();
                IPMServiceDetails.closeModalHandler();
                
                jQuery("#IPMAssignIp").modal("show");
            });
            
            jQuery('#servicecontent').unbind("DOMSubtreeModified");
        });
    },
    
    initTree: function()
    {              
        jQuery('#IPMTreeView .tree').treegrid();
        jQuery('#IPMTreeView').find("a").on("click", function()
        {
            $(".tree-selected").removeClass("tree-selected");
            $(this).addClass("tree-selected");
            
            var poolid = $(this).data("id");
            IPMServiceDetails.poolid = poolid;
            
            IPMServiceDetails.loadIpAddressesPanel();
        });
        
        jQuery("#IPMTreeView .tree").find("a").first().trigger("click");
    },
    
    loadIpAddressesPanel: function()
    {
        jQuery("#IPMAddresses [name='ipaddresses']").select2(
        {
            ajax: 
            {
                url: 'addonmodules.php?module=ipmanager2&modpage=AdminArea&modsubpage=getPoolAddresess',
                data: function(params)
                {
                    return {term: params.term, poolid: IPMServiceDetails.poolid};
                },
                processResults: function (data) 
                {
                    var items = [];
                    $.each(data, function(index, ip)
                    {
                        items.push({id: ip, text: ip});
                    });
                    
                    return {results: items};
                },
                initSelection: function(element, callback) {
                    
                },
                delay: 250
            },
            closeOnSelect: false
        });
        
        jQuery("#IPMAddresses [name='ipaddresses']").val([]).trigger("change");
    },
    
    addIpAddressHandler: function()
    {
        jQuery('#IPMAddresses .submitBtn').on("click", function(e)
        {
            e.preventDefault();
            
            var url = jQuery("#frm1").attr("action");
            var serviceid = IPMAdminArea.getParamValueFromURL("id", url);

            var override = jQuery("#IPMAddresses [name='override']:checked").val();
            var usesubmodule = jQuery("#IPMAddresses [name='usesubmodule']:checked").val();
            var ipaddresses = jQuery("#IPMAddresses [name='ipaddresses']").val();
            IPMRequest.getJSON("assignIp", {poolid: IPMServiceDetails.poolid, ipaddresses: ipaddresses, serviceid: serviceid, override: override, usesubmodule: usesubmodule}, function(data)
            {
                //Refresh
                jQuery("#IPMAlreadyAssigned").find("table").DataTable().draw();
                jQuery(".tree-selected").trigger("click");
                
                jQuery("#IPMAddresses [name='override']").prop("checked", false);
                jQuery("#IPMAddresses [name='usesubmodule']").prop("checked", false);
                jQuery(".use-submodule-field").hide();
                
                jQuery('#frm1').unbind("DOMSubtreeModified");
            });
        });
    },
    
    unassignIpAddressHandler: function()
    {
        jQuery('#IPMAlreadyAssigned .unassignBtn').unbind("click");
        jQuery('#IPMAlreadyAssigned .unassignBtn').on("click", function(e)
        {
            e.preventDefault();
            IPMServiceDetails.currentUsesubmodule = jQuery(this).data("usesubmodule");
            IPMServiceDetails.currentAddress = jQuery(this).data("ipaddress");
            
            if(IPMServiceDetails.currentUsesubmodule)
            {
                jQuery("#IPMDeleteIPConfirm .withSubmodule").show();
                jQuery("#IPMDeleteIPConfirm .withoutSubmodule").hide();
            }
            else
            {
                jQuery("#IPMDeleteIPConfirm .withSubmodule").hide();
                jQuery("#IPMDeleteIPConfirm .withoutSubmodule").show();
            }
            
            jQuery("#IPMDeleteIPConfirm").modal("show");
        });
        
        jQuery('#IPMDeleteIPConfirm .confirmBtn').unbind("click");
        jQuery('#IPMDeleteIPConfirm .confirmBtn').on("click", function(e)
        {
            var url = jQuery("#frm1").attr("action");
            var serviceid = IPMAdminArea.getParamValueFromURL("id", url)
            
            IPMRequest.getJSON("unassignIp", {poolid: IPMServiceDetails.poolid, ipaddress: IPMServiceDetails.currentAddress, serviceid: serviceid, usesubmodule: IPMServiceDetails.currentUsesubmodule}, function(data)
            {
                //Refresh
                jQuery("#IPMAlreadyAssigned").find("table").DataTable().draw();
                jQuery(".tree-selected").trigger("click");
            });
        });
    },
    
    useSubmoduleHandler: function()
    {
        jQuery("#IPMAddresses [name='override']").on("click", function()
        {
            var override = jQuery("#IPMAddresses [name='override']:checked").val();
            if(override)
            {
                jQuery(".use-submodule-field").show();
            }
            else
            {
                jQuery("#IPMAddresses [name='usesubmodule']").attr('checked', false);
                jQuery(".use-submodule-field").hide();
            }
        });
        
    },
    
    closeModalHandler: function()
    {
        jQuery("#IPMAssignIp .closeBtn").on("click", function(){
            location.reload();
        });
    },
    
    initDataTable: function()
    {
        if(!$.fn.dataTable.isDataTable(jQuery("#IPMAlreadyAssigned").find("table")))
        {
            jQuery("#IPMAlreadyAssigned").find("table").DataTable({
                bProcessing: true,
                bServerSide: true,
                searching: false,
                ordering: false,
                sAjaxSource: "addonmodules.php?module=ipmanager2&modpage=AdminArea&modsubpage=getIpListTable",
                sServerMethod: "POST",
                fnDrawCallback: function()
                {
                    IPMServiceDetails.unassignIpAddressHandler();
                },
                fnServerParams: function(data) 
                {
                    var url = jQuery("#frm1").attr("action");
                    var serviceid = IPMAdminArea.getParamValueFromURL("id", url);

                    data.push({name: "serviceid", value: serviceid});
                },
                columns: [
                    { data: "ipaddress", orderable: false, sortable: false, targets: 0 },
                    { data: "submodule", orderable: false, sortable: false, targets: 0 },
                    { data: "actions",   orderable: false, sortable: false, targets: 0 },
                  ],
                bPaginate: true,
                sDom: 'tr<"table-bottom"<"row"<"col-sm-4"L><"col-sm-4 text-center"i>>><"row"<"col-sm-12"p>>',
            });
        }
    },
    
    overrideModuleButtons: function()
    {
        jQuery("#ModuleCreate-Yes, #ModuleRenew-Yes, #ModuleSuspend-Yes, #ModuleUnsuspend-Yes, #ModuleTerminate-Yes, #ModuleChangePackage-Yes").on("click", function(event)
        {
            jQuery('#servicecontent').on("DOMSubtreeModified",function()
            {
                window.setTimeout(function()
                {
                    if(jQuery("#ipmanager-assignip").length == 0)
                    {
                        //add custom button
                        jQuery("[name='dedicatedip']").css("display", "inline");
                        jQuery("[name='dedicatedip']").parent().append('<a id="ipmanager-assignip" href="#"><img src="images/icons/add.png" border="0" align="top">'+IPMServiceDetails.buttonlang+'</a>');
                        jQuery(".use-submodule-field").hide();

                        jQuery("#ipmanager-assignip").on("click", function()
                        {
                            //init tree
                            IPMServiceDetails.initTree();
                            IPMServiceDetails.initDataTable();
                            IPMServiceDetails.addIpAddressHandler(); 
                            IPMServiceDetails.useSubmoduleHandler();
                            IPMServiceDetails.closeModalHandler();

                            jQuery("#IPMAssignIp").modal("show");
                        });
                    }
                }, 200);
            });
        });
    }
};