var IPManager = {
    _init: function()
    {
        $('.disabled').on('click', function(e){
            e.preventDefault();
        });
    },
    /**
     * Enable/Disable Inputs in Assgin IP iFrame
     */
    customIPAssignHandler : function()
    {
        //make either service or custom assign
        $('.customIP').change(function(){
            if ( $(this).is(':checked') ) {
                $('.assignAutocomplete').prop('disabled', true);
                $('[name="usemodule"], [name="generateAddresses"]').prop('disabled', true);
                $('.custom_text').prop('disabled', false);
            } else {
                $('.assignAutocomplete').prop('disabled', false);
                $('[name="usemodule"], [name="generateAddresses"]').prop('disabled', false);
                $('.custom_text').prop('disabled', true);
            }
        });
    },
    /**
     * Returns desired param value from any given link
     * @param  [string] name param name
     * @param  [string] url  e.g. window.location.href
     * @return [string]      value
     */
    getParameterValueFromUrl: function (name, url){
        name = name.replace(/[\[]/,"\\[").replace(/[\]]/,"\\]");
        var regexS = "[\\?&]"+name+"=([^&#]*)";
        var regex = new RegExp( regexS );
        var results = regex.exec( url );
        if( results === null )
            return null;
        else
            return results[1];
    },
    /**
     * Returns file name from any given link
     * @param  [string] path e.g. window.location.pathname
     * @return [string]      file name
     */
    getFileNameFromPath: function(path) {
        var ary = path.split("/");
        return ary[ary.length - 1];
    },
    /**
     * Checks whether the browser is not shit
     * @return [Boolean]
     */
    isIE : function(){
        return (navigator.userAgent.indexOf('MSIE') !== -1 || navigator.appVersion.indexOf('Trident/') > 0);
    },
    sweetConfirm : function(message, href){
        if ( IPManager.isIE() ) {
            if (!confirm(message))
            {
                return false;
            } else {
                window.location.href = href;
            }
        }
        else
        {
            swal({
                title: "Are you sure?",
                text: message,
                type: "error",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Yes, delete it!",
                closeOnConfirm: true
            },
            function(isConfirm)
            {
                if (isConfirm) {
                    window.location.href = href;
                } else {
                    return false;
                }
            });
        }
    },
};

$(function ()
{
    ipmCheckDatatables(function(){
        IPManager._init();

        $('.ipmanagerconfigure').on('click', function(e)
        {
            var that = $(this);
            var url  = that.attr('href');

            if(that.hasClass('disabled'))
            {
                return false;
            }

            var box = that.parents().closest('tr').next('tr');

            box.hasClass('hidden') ? box.removeClass('hidden') : box.addClass('hidden');

            $.getJSON(url, function(result)
            {
                var $html = $(result.html);

                $html.find('.pretty-select').select2();

                box.find('td div.options .centerbox .configcontent').html($html);
            });

            e.preventDefault();
        });

        $('.ipmanagerconfigure[data-submodule-activated]').trigger('click');

        $('.tooltip-box a[rel="tooltip"]').tooltip();

        $('.addNameservers').on('click', function(){
            var numberNameserver = $(".nsMore:hidden").each(function(){
                $(this).show();
                return false;
            });

            if(numberNameserver.length === 1) {
                $(this).parent().hide();
            }

            return false;
        });

        $('.ajaxLoad').on('click', function(e)
        {
            var that = $(this);
            var link = that.attr('href');

            $.getJSON(link, function(result)
            {
                that.parents('tr').next('tr').html(result.html);
            });

            e.preventDefault();
        });
        function editable(){
            $.fn.editable.defaults.mode = 'inline';

            $.fn.editableform.buttons =
                '<button type="submit" class="btn btn-success editable-submit btn-small"><i class="icon-ok icon-white"></i></button>' +
                '<button class="btn btn-danger editable-remove btn-small"><i class="icon-remove icon-white"></i></button>'

            $('.ns1, .ns2, .ns3, .ns4, .ns5, .gateway, .editable').editable({
                showbuttons : 'bottom',
            });


        }
        editable();

        $(document).on("click", ".panel button.editable-remove", function(){

            if($(this).parents('dd').find('a.ns1,a.ns2,a.ns3,a.ns4,a.ns5,a.gateway').length==0)
            {
                var customFieldID = $(this).parents('dd').find('a.editable-click').data('key');

                var url  = 'addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=cfdelete'
                var object = {key:customFieldID};
                var parent = $(this).parents('span');
                $.post(url, object )
                    .done(function( data ) {
                        parent.remove();
                });
            }

        });

        function addEventRemoveCustomField() {
            $(document).on("click", "#ipList button.editable-remove", function(){
                var customFieldID = $(this).parents('li').find('a.editable-click').data('key');

                var url  = 'addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=cfdelete'
                var object = {key:customFieldID};
                var parent = $(this).parents('li');
                $.post(url, object )
                    .done(function( data ) {
                        parent.remove();
                });
            });
        }



        $('#IPListInput').tagsinput({
            confirmKeys: [13, 188]
        });

        $('#importStart').on('click', function(e)
        {
            var continiousImport = function()
            {
                $.getJSON('addonmodules.php?module=ipmanager2&modpage=import&modsubpage=start', function(result)
                {
                    $('#importLog').html(result);
                    setTimeout(function() {continiousImport();}, 2000);
                });
            };

            continiousImport();

            e.preventDefault();
        });

        $('.percentageSlider').slider({
          range: 'max',
          min: 1,
          max: 100,
          slide: function( event, ui )
          {
             $('#percentageAmount').val(ui.value);
          }
        });

        $('.percentageSlider').slider('value', $('#percentageAmount').val());

        $('.clientAutocomplete').select2({
                minimumInputLength: 1,
                allowClear : true,
                ajax : {
                    url: 'addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=getclients',
                    dataType: 'json',
                    quietMillis: 50,
                    data: function (term, page) {
                        return {
                            term : term, // search term
                            page_limit: 30
                        };
                    },
                    results: function (data, page) { // parse the results into the format expected by Select2.
                        // since we are using custom formatting functions we do not need to alter remote JSON data
                        return {results: data};
                    }
                },
                initSelection : function (element, callback)
                {
                    var that = $(element);

                    if(that.attr('data-clientid') != '')
                    {
                        var data = {id: that.attr('data-clientid'), text: that.attr('data-clientname')};
                        callback(data);
                    }
                }
        });

        /*
         * ahmed sponsored --->
         */
        $('.clientAutocomplete').on("change", function(e) {
            var that = $(this);
            var serviceSelect = that.parent().parent().find('.serviceAutocomplete');

            var name = that.attr('name');
            var id = name.match(/\d+/g);

            if(e.added !== undefined)
            {
                that.attr('data-clientid', e.added.id);
                that.attr('data-clientname', e.added.text);

                serviceSelect.prop("readonly",false);
                serviceSelect.select2("val", "");
                serviceSelect.css("display","block");
                initServiceAutocomplete(serviceSelect, e.added.id);

            }
            else if(e.removed !== undefined)
            {
                serviceSelect.select2("val", "");
                serviceSelect.prop("readonly",true);
                serviceSelect.css("display","");
            }
        });

        //ahmed sponsored (zamiana na funkcje) -->
        function initServiceAutocomplete(selector, client_id)
        {
            selector.select2({
                minimumInputLength: 1,
                allowClear : true,
                ajax : {
                    url: 'addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=getservices',
                    dataType: 'json',
                    quietMillis: 50,
                    data: function (term, page) {
                        return {
                            client: client_id, //ahmed sponsored
                            term : term, // search term
                            page_limit: 30
                        };
                    },
                    results: function (data, page) { // parse the results into the format expected by Select2.
                        // since we are using custom formatting functions we do not need to alter remote JSON data
                        return {results: data};
                    }
                },
                initSelection : function (element, callback)
                {
                    var that = $(element);
                    if(that.attr('data-serviceid') != '')
                    {
                        var data = {id: that.attr('data-serviceid'), text: that.attr('data-servicename')};
                        callback(data);
                    }
                }
        });
        // ahmed sponsored ->>
        }
        initServiceAutocomplete($('.serviceAutocomplete'));
        $('.serviceAutocomplete').each(function()
        {
            var that = $(this);

            if(that.attr('data-serviceid') !== '')
            {
                that.select2('val', that.attr('data-serviceid'));
            }
        });

        $('.serviceAutocomplete').on("change", function(e) {
            var that = $(this);

            var name = that.attr('name');
            var id = name.match(/\d+/g);
        });

        $('.clientAutocomplete').each(function()
        {
            var that = $(this);
            var serviceSelect = that.parent().parent().find('.serviceAutocomplete');
            if(that.attr('data-clientid') !== '')
            {
                that.select2('val', that.attr('data-clientid'));

                serviceSelect.css("display","block");
                initServiceAutocomplete(serviceSelect, that.attr('data-clientid'));
            }
            else
            {
                serviceSelect.prop("readonly", true);
                serviceSelect.css("display","");
            }
        });    

        $("[data-message]").on('click',function(e){
            $('#alertModal').find(".btn-ok").show();
            if($(this).text()){
               $('#alertModal').find(".modal-title").text($(this).text());
            } else {
               $('#alertModal').find(".modal-title").text('Message');
            }

            $('#alertModal').find(".modal-body").text($(this).data('message'));
        });

        $('.deletePool').on('click', function(e)
        {
            if($(this).data('assigned') !== 0)
            {
                $('#alertModal').find(".modal-body").append("<br><span class='help-block'>Warning: Subnet have "+$(this).data('assigned')+" assigned ip addresses to services!</span>");
            }
        });

        //ahmed sponsored -->

        $('#alertModal').on('shown.bs.modal', function(e) {
            $(this).find('.btn-ok').attr('href', $(e.relatedTarget).data('href'));

        });

        $("[data-href]").on('click', function (e) {
            $('#alertModal').find('.btn-ok').attr('href', $(this).data('href'));
        });

        $('#alertModal').on('show', function(e) {
            $(this).show();
            $(this).addClass("in");
        });

        $('#alertModal').on('hide', function(e) {
        $(".modal-backdrop").hide();
        });

        //ahmed sponsored <--    
        $('.btn-deleteAddress').on('click', function(e)
        {
            if(! confirm('Are you sure you want to delete this IP Address from pool?'))
            {
                e.preventDefault();
                return false;
            }
        });

        $.validator.addMethod("ipv4", function(value, element, param) {
            return this.optional(element) || /^(25[0-5]|2[0-4]\d|[01]?\d\d?)\.(25[0-5]|2[0-4]\d|[01]?\d\d?)\.(25[0-5]|2[0-4]\d|[01]?\d\d?)\.(25[0-5]|2[0-4]\d|[01]?\d\d?)$/i.test(value);
        }, "Please enter a valid IP v4 address.");

        $.validator.addMethod("ipv6", function(value, element, param) {
                return this.optional(element) || /^((([0-9A-Fa-f]{1,4}:){7}[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){6}:[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){5}:([0-9A-Fa-f]{1,4}:)?[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){4}:([0-9A-Fa-f]{1,4}:){0,2}[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){3}:([0-9A-Fa-f]{1,4}:){0,3}[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){2}:([0-9A-Fa-f]{1,4}:){0,4}[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){6}((\b((25[0-5])|(1\d{2})|(2[0-4]\d)|(\d{1,2}))\b)\.){3}(\b((25[0-5])|(1\d{2})|(2[0-4]\d)|(\d{1,2}))\b))|(([0-9A-Fa-f]{1,4}:){0,5}:((\b((25[0-5])|(1\d{2})|(2[0-4]\d)|(\d{1,2}))\b)\.){3}(\b((25[0-5])|(1\d{2})|(2[0-4]\d)|(\d{1,2}))\b))|(::([0-9A-Fa-f]{1,4}:){0,5}((\b((25[0-5])|(1\d{2})|(2[0-4]\d)|(\d{1,2}))\b)\.){3}(\b((25[0-5])|(1\d{2})|(2[0-4]\d)|(\d{1,2}))\b))|([0-9A-Fa-f]{1,4}::([0-9A-Fa-f]{1,4}:){0,5}[0-9A-Fa-f]{1,4})|(::([0-9A-Fa-f]{1,4}:){0,6}[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){1,7}:))$/i.test(value);
        }, "Please enter a valid IP v6 address.");

        $.validator.addMethod("correctmask", function(value, element)
        {
            if($('#ipv4click').is(':checked'))
            {
                return (value >= 1 && value <= 32);
            }
            else if($('#ipv6click').is(':checked'))
            {
                return (value >= 1 && value <= 128);
            }
        }, "Please enter a correct bitmask.");
        //ahmed sponsored -->
        $.validator.addMethod("parentmask", function(value, element)
        {
            if($("input[name=typeofip]").val()==='ipv4')
            {
                return (value >= 1 && value <= 32) && (value > $(element).data('pool_mask'))
            }
            else
            {
                return (value >= 1 && value <= 128) && (value > $(element).data('pool_mask'))
            }
        }, "Please enter a correct bitmask or greather than parent mask.");
       //ahmed sponsored <--
        $.validator.setDefaults({
            errorClass: 'help-inline',
            errorElement: 'span',
            highlight: function(element) {
                $(element).closest('.control-group').removeClass('success').removeAttr('style').addClass('error');
            },
            success: function(element) {
                element
                        .addClass('valid') //.css({background : 'url(../modules/addons/reportgenerator/assets/img/valid.png) center center no-repeat', width : '24px', height : '24px'})
                        .closest('.control-group').removeClass('error');
            }
        });

        $('#createConfigurationForm').validate({
           rules : {
               friendlyname : {
                   required : true
               }
           }
        });

        $('#assignPoolForm').validate({
           rules: {
               selected_pool : {
                   required: true
               }
           }
        });

        $('#createPoolByRangeForm').validate({
            rules: {
                iprangestart : {
                    required : true,
                    ipv4 : true
                },
                iprangeend : {
                    required : true,
                    ipv4 : true
                },
                mask : {
                    correctmask : true,
                }
            }
        });

        function createNewPoolEvent(){
            $('#ipv4click').on('click', function()
            {
               $('#ipv4').show();
               $('#ipv6').val('').hide();
            });

            $('#ipv6click').on('click', function()
            {
               $('#ipv6').show();
               $('#ipv4').val('').hide().next('span.help-inline').hide();
            });
            $('.createPoolForm').validate({
                errorLabelContainer: '#errors',
                rules: {
                    ipv4 : {
                        required : function(){
                            return ($('#ipv6').val() == '');
                        },
                        ipv4 : true
                    },
                    ipv6 : {
                        required : function(){
                            return ($('#ipv4').val() == "");
                        },
                        ipv6 : true
                    },
                    mask : {
                        correctmask : true,
                    }
                },
                submitHandler: function(form)
                {
                    var validator = this;
                    var maskSize = parseInt($('#cidrMask').val());
                    var minSize, addressCount;
                    var request;

                var serializedData = $(form).serialize();
                request = $.ajax({
                        url: "addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=checkNetworkAddress",
                        type: "post",
                        data: serializedData
                });

                // callback handler that will be called on success
                request.done(function (response, textStatus, jqXHR) {
                    var resp = JSON.parse(response);

                    if($('#ipv4').is(':visible'))
                    {
                        if(!resp){
                            validator.showErrors({
                                "ipv4": "The IP address must be the first address from range (the network address)"
                            });
                        }
                        minSize = 21;
                        addressCount = Math.pow(2, (32 - maskSize));
                    }
                    else if($('#ipv6').is(':visible'))
                    {
                        if(!resp){
                            validator.showErrors({
                                "ipv6": "The IP address must be the first address from range (the network address)"
                            });
                        }
                        minSize = 120;
                        addressCount = Math.pow(2, (128 - maskSize));
                    }
                    if(!resp){
                        $("#cidrMask").parent().parent().addClass("error");
                        return false;
                    }
                    var req = $.ajax({
                        url: "addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=isExists",
                        type: "post",
                        data: serializedData
                    });
                    req.done(function (response, textStatus, jqXHR) {
                        var resp = JSON.parse(response);

                        if($('#ipv4').is(':visible'))
                        {
                            if(!resp){
                                validator.showErrors({
                                    "ipv4": "The pool already exists"
                                });
                            }

                        }
                        else if($('#ipv6').is(':visible'))
                        {
                            if(!resp){
                                validator.showErrors({
                                    "ipv6": "The pool already exists"
                                });
                            }

                        }

                        if(!resp){
                            $("#cidrMask").parent().parent().addClass("error");
                            return false;
                        }
                        $('.preloader').show();

                        form.submit();
                    });
                });

                // callback handler that will be called on failure
                request.fail(function (jqXHR, textStatus, errorThrown) {
                        // log the error to the console
                        console.error(
                            "The following error occured: " + textStatus, errorThrown);
                });


                }
            });
            $('.createPoolIPv6ByBlock').validate({
                errorLabelContainer: '#errorsBlock',
                rules: {
                    ipv6 : {
                        ipv6 : true
                    }
                },
                submitHandler: function(form)
                {
                    var validator = this;
                    var serializedData = $(form).serialize();
                    var req = $.ajax({
                        url: "addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=isExists",
                        type: "post",
                        data: serializedData
                    });
                    req.done(function (response, textStatus, jqXHR) {
                        console.log(response);
                        var resp = JSON.parse(response);

                        if(!resp){
                            validator.showErrors({
                                "ipv6": "The block pool already exists"
                            });
                            return false;
                        }

                        $('.preloader').show();

                        form.submit();
                    });

                }
            });
        }

        $('.createPoolIPv6ByBlock').validate({
            rules: {
                ipv6 : {
                    required : function(){
                        return ($('#ipv4').val() == '');
                    },
                    ipv6 : true,
                },
            },
            submitHandler: function(form)
            {
                form.submit();
            }
        });

        function toggleDetails() { $('.toggleMoreDetailsBox').on('click', function(e)
        {
            var that = $(this);

            that.parent().parent().next('.moreDetailsBox').slideToggle();

            e.preventDefault();
        });
        }
        toggleDetails();

        $('.showFilterBox').on('click', function(e)
        {
            $(this).parent().next('.filterBox').toggleClass('hidden').trigger('chosen:updated');
            e.preventDefault();
        });

        $('#clearFiltersButton').on('click', function(e)
        {
            $('<form action="addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=iplist&pool_id=' + $(this).attr('data-id')+'" method="POST">' +
            '<input type="hidden" name="clearFilters" value="1"></form>').submit();
        });

        $('.pretty-select').select2({no_results_text: 'Oops, nothing found!', minimumResultsForSearch: 10});

        $('#toggleAll').on('click', function()
        {
            var that = $(this);

            if(that.is(':checked'))
            {
                $('.toggleCheckbox').attr('checked', 'checked');
            }
            else
            {
                $('.toggleCheckbox').removeAttr('checked');
            }
        });

        $('#ipv4, #iprangestart, #iprangeend').mask('0ZZ.0ZZ.0ZZ.0ZZ', {
                translation: {'Z': {pattern: /[0-9]/, optional: true}},
                onKeyPress: function(cep, event, currentField, options){
                    if(cep){
                      var ipArray = cep.split(".");
                      var lastValue = ipArray[ipArray.length-1];
                      if(lastValue != "" && parseInt(lastValue) > 255){
                          ipArray[ipArray.length-1] =  '255';
                          var resultingValue = ipArray.join(".");
                          currentField.attr('value',resultingValue);
                      }
                }
        }});

        $('#iprangestart').on('keyup', function()
        {
            var that = $(this);
            var value = that.val().split('.');

            if(value.length > 3)
            {
                value[3] = '255';
            }

            $('#iprangeend').val(value.join('.'));
        });

        $('#ipv4click').on('click', function()
        {
           $('#ipv4').show();
           $('#ipv6').val('').hide();
        });

        $('#ipv6click').on('click', function()
        {
           $('#ipv6').show();
           $('#ipv4').val('').hide().next('span.help-inline').hide();
        });
        //ahmed sponsored --> tree pool/dataTables
        $('i.icon-minus').nextAll('ul').toggle();
        $('i.icon-minus').toggleClass("icon-minus icon-plus");
        $('i.icon-minus, i.icon-plus').click(function() {
            $(this).nextAll('ul').toggle();
            $(this).toggleClass("icon-minus icon-plus");
        });
        Url = {
            get get(){
                var vars= {};
                if(window.location.search.length!==0)
                    window.location.search.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value){
                        key=decodeURIComponent(key);
                        if(typeof vars[key]==="undefined") {vars[key]= decodeURIComponent(value);}
                        else {vars[key]= [].concat(vars[key], decodeURIComponent(value));}
                    });
                return vars;
            }
        };

        if(Url.get.pool_id !== undefined)
        {
            var element = $("a[data-id="+Url.get.pool_id+"]");
        }
        else if(Url.get.block_id !== undefined)
        {
            var element = $("a[data-id="+Url.get.block_id+"]");
        }
        else
        {
            var element = $("a[data-id="+$("#ipList").attr('data-pool-id')+"]");
        }
            element.nextAll('ul').toggle();
            element.prevAll('i').toggleClass("icon-minus icon-plus");
            element.parents().show();
            element.parents().prevAll(".icon-plus").toggleClass("icon-plus icon-minus");
            element.css("font-weight","Bold");

        $("#btnSavePool").on("click",function(e){
            $("#savePool").submit();
            e.preventDefault();
        });

        var tableOptions = {
            "fnDrawCallback": function(oSettings, json) {
                editable();
                addEventRemoveCustomField();
                assingEvent();
                unssignEvent();
                assingEvent();
                var pageNumber = Math.ceil(oSettings._iDisplayStart / oSettings._iDisplayLength) + 1;
                if(oSettings._iRecordsTotal > 1000) {
                    $('button.destroy_pager').hide();
                }
                if(pageNumber > 1) {
                    $('html, body').animate({
                        scrollTop: $("#ipList").parent().parent().parent().offset().top
                    }, 0);
                }
                $("#ipMassActionsCheckAll").prop('checked', false);
                $("#ipmMassActionButtons .btn").prop('disabled', true);            
                $("input[name^='ip_mass_actions[']").change(function() {
                    if($("input[name^='ip_mass_actions[']:checked").length > 0){
                        $("#ipmMassActionButtons .btn").prop('disabled', false);
                    }else{
                        $("#ipmMassActionButtons .btn").prop('disabled', true);
                    }
                });
            },
            "processing": true,
            "serverSide": true,
            stateSave: true,
            paging: true,
            "stateSaveParams": function (settings, data) {
                data.start = 0;
                data.search.search = "";
            },
            columnDefs: [ 
                    { "targets": [0,2,3,4,5,6,7], "orderable": false },
                    {}
            ],
            "select": {
                style:    'multi',
                selector: 'td:first-child'
            },
            "order": [[ 1,'asc']],
            "ajax": "addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=ipListTable&pool_id="+$("#ipList").attr('data-pool-id'),
            "columns": [
                { "data": "id" ,
                  "render": function ( data, type, row ) {
                      return '<input type="checkbox" serviceid="'+row.serviceid+'" integration="'+row.wasintegrated+'" value="'+$("#ipList").attr('data-pool-id')+'" name="ip_mass_actions['+row.ip+']">';
                }},
                { "data": "ip" },
                { "data": "serviceid",
                  "render": function ( data, type, row ) {
                    if(row.custom === 1)
                    {
                        return '<span>Custom Assignment: '+row.custom_text+'</span>';
                    }
                    if(data!=="" && data!==null)
                    {
                        domain = (row.domain!==null && row.domain!=="")? ' (' + row.domain + ')': "";
                        return '<a href="clientsservices.php?id='+data+'">' + row.product_name+  domain + '</a>';
                    }
                    else
                    {
                        return '<span class="muted">Not Assigned Yet</span>';
                    }
                  }},
                { "data": "username",
                  "render": function(data,type,row) {
                      if(row.custom === 1)
                          return '';
                      if(data!=="" && data!==null)
                          return data;
                      else
                          return '<span class="muted">Unknow/Empty</span>';
                  }
                },
                { "data": "clientname" },
                { "data": "created_at" },
                { "data": "custom_fields",
                  "render": function(data,type,row) {

                    var output = '<ul style="margin: 0;">';
                    var customFields = JSON.parse(data);
                    for(obj in customFields)
                    {
                        output += '<li style="list-style-type: none;"><span>'+customFields[obj].name+'</span>: <a href="#" class="editable" data-type="text" data-name="'+customFields[obj].name+'" data-pk="'+row.id+'" data-key="'+customFields[obj].id+'" data-url="addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=cfupdate&type=ip&key='+customFields[obj].id+'" data-title="Plese enter a custom field value">'+customFields[obj].value+'</a></li>';
                    }
                    output += '<li style="padding-top: 5px;list-style-type: none;"><button title="Add Custom Field" class="btn btn-info btn-small" onclick="createCustomFieldLoad('+row.id+','+$("#ipList").attr('data-pool-id')+');return false;">+</button></li></ul>';
                    return output;
                  }
                },
                { "data": "id",
                  "render": function ( data, type, row ) {
                      disabled = (row.serviceid===null || row.serviceid==="")? "disabled" : "";
                      disabledAssign = (row.serviceid===null || row.serviceid==="")? "" : "disabled";
                        return "<p class='text-right'><a href='addonmodules.php?module=ipmanager2&amp;modpage=pools&amp;modsubpage=deleteip&amp;ip="+row.ip+"&amp;poolid="+$("#ipList").attr('data-pool-id')+"&amp;ajax=1' class='btn btn-small btn-danger btn-deleteAddress'>Delete</a>\n\
                                <a href='addonmodules.php?module=ipmanager2&amp;modpage=pools&amp;modsubpage=assign&amp;ip="+row.ip+"&amp;poolid="+$("#ipList").attr('data-pool-id')+"&amp;page=1&amp;ajax=1' class='btn btn-small ipAssignToService "+disabledAssign+" btn-success'>Assign To</a>\n\
                                <a href='addonmodules.php?module=ipmanager2&amp;modpage=pools&amp;modsubpage=unassign&amp;ip="+row.ip+"&amp;serviceid="+row.serviceid+"&amp;poolid="+$("#ipList").attr('data-pool-id')+"&amp;page=1&amp;ajax=1' class='btn btn-small unassignIP btn-primary "+disabled+"'>Unassign</a></p>";
                }}
            ]
        };

        $("#ipList").DataTable(tableOptions);
        $('button.destroy_pager').on('click', function() {
            if($("#ipList").DataTable().page.info().recordsTotal <= 1000) {
                $("#ipList").DataTable().destroy();
                tableOptions.paging = false;
                $("#ipList").DataTable(tableOptions);
                $("#ipmMassActionButtons").css('margin-top', '5px');
                $("#ipmMassActionButtons").css('position', 'relative');
            }
            return false;
        });
        fieldNumber = 0;
        $("#addNewRow").on("click",function(e){
            $('tr#noneRow').remove();
            $('#defaultFields tbody').append('<tr><td><input type="text" name="dfield[new'+fieldNumber+'][name]" value=""></td><td><input type="text" name="dfield[new'+fieldNumber+'][value]" value=""></td><td><button class="btn btn-small btn-danger deleteFieldRow" style="padding:6px;">Delete</button></td></tr>');
            fieldNumber += 1;
            e.preventDefault();
            $('.deleteFieldRow').on("click",function(e){
                e.preventDefault(); 
                var that  = $(this);
                that.parents('tr').remove();
            });
        });

        $("#ipMassActionsCheckAll").on("click", function(e){
            if($("#ipMassActionsCheckAll").prop('checked')){
                $("input[name^='ip_mass_actions[']").prop('checked', true);
            }else{
                $("input[name^='ip_mass_actions[']").prop('checked', false);
            }
            $("input[name^='ip_mass_actions[']").change();
        });

        function ipmGetMassIpFromName(name){
            name = name.replace('ip_mass_actions[', '');
            name = name.replace('ip_mass_confirm[', '');
            if(name.substr(-1) === ']'){
                name = name.substr(0, (name.length - 1));
            }

            return name;
        }

        function ipmGetProgressBar(type, value){
            var bar = '<div class="progress ipmProgressBarr">' +
                '<div class="progress-bar progress-bar-'+type+' progress-bar-striped active" role="progressbar" aria-valuenow="'+value+'" aria-valuemin="0" aria-valuemax="100" style="width: '+value+'%">'+
                '</div>';
            return bar;
        }

        function ipmPerformAssignMassActions(){
            $("input[name^='ip_mass_confirm[']:checked").each(function(index, element){
                $(this).closest('tr').children().last().html(ipmGetProgressBar('success', 100));
                var accountid = $('#ipmaccountid').val() ? $('#ipmaccountid').val() : '';
                var usemodule = $('#ipmusemodule').prop('checked') ? $('#ipmusemodule').prop('checked') :'';
                var customIP = $('#ipmcustomIP').prop('checked') ? $('#ipmcustomIP').prop('checked') : '';
                var custom_text = $('#ipmcustomIP').prop('checked') ? $('#ipmcustom_text').val() : '';
                var delUrl = 'addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=assign&ip='+ipmGetMassIpFromName($(this).prop('name'))+'&poolID='+$(this).prop('value')+'&rawResponse=1&perform=1&ajax=1';
                var request;
                request = $.ajax({
                    url: delUrl,
                    type: "post",
                    data: { 
                        'accountid' : accountid,
                        'usemodule' : usemodule,
                        'customIP' : customIP,
                        'custom_text' : custom_text
                    }
                });

                var row = this;
                // callback handler that will be called on success
                request.done(function (response, textStatus, jqXHR) {
                    if(response.result === 'success')
                    {
                        $(row).closest('tr').removeClass('danger');
                        $(row).closest('tr').addClass('success');
                        $(row).closest('input').prop('disabled', true);
                        
                        $("#ipmMassAssignIpConfirm").prop('disabled', true);
                    }
                    else
                    {
                        $(row).closest('tr').addClass('danger');
                    }
                    if(response.message){
                        $(row).closest('tr').children().last().html(response.message);
                    }else{
                        var resp = (response.result === 'success') ? 'Success' : 'Error';
                        $(row).closest('tr').children().last().html(resp);
                    }
                    $(row).closest('tr').removeClass('active');
                    ipmUpdateModalButtons();
                });
                // callback handler that will be called on failure
                request.fail(function (jqXHR, textStatus, errorThrown) { 
                    $(row).closest('tr').addClass('danger');
                    $(row).closest('tr').children().last().html('Error');
                    $(row).closest('tr').removeClass('active');
                    ipmUpdateModalButtons();
                });            
            });          
        }

        function ipmPerformDeleteMassActions(){
            $("input[name^='ip_mass_confirm[']:checked").each(function(index, element){
                $(this).closest('tr').children().last().html(ipmGetProgressBar('success', 100));
                var delUrl = 'addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=deleteip&ip='+ipmGetMassIpFromName($(this).prop('name'))+'&poolid='+$(this).prop('value')+'&rawResponse=1&ajax=1';
                var request;
                request = $.ajax({
                    url: delUrl,
                    type: "get",
                });

                var row = this;
                // callback handler that will be called on success
                request.done(function (response, textStatus, jqXHR) {
                    if(response.result === 'success'){
                        $(row).closest('tr').addClass('success');
                    }else{
                        $(row).closest('tr').addClass('danger');
                    }
                    if(response.message){
                        $(row).closest('tr').children().last().html(response.message);
                    }else{
                        var resp = (response.result === 'success') ? 'Success' : 'Error';
                        $(row).closest('tr').children().last().html(resp);
                    }
                    $(row).closest('tr').removeClass('active');
                    ipmUpdateModalButtons();
                });
                // callback handler that will be called on failure
                request.fail(function (jqXHR, textStatus, errorThrown) { 
                    $(row).closest('tr').addClass('danger');
                    $(row).closest('tr').children().last().html('Error');
                    $(row).closest('tr').removeClass('active');
                    ipmUpdateModalButtons();
                });            
            });
        }

        function ipmPerformUnassignMassActions(){
            $("input[name^='ip_mass_confirm[']:checked").each(function(index, element){
                $(this).closest('tr').children().last().html(ipmGetProgressBar('success', 100));
                var ipmintegration = (($(this).attr('integration') === undefined) || ($('#ipmusemodule').prop('checked') === false)) ? '' : $(this).attr('integration');
                var ipmserviceid = $(this).attr('serviceid') === undefined ? 0 : $(this).attr('serviceid');
                var delUrl = 'addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=unassign&ip='+ipmGetMassIpFromName($(this).prop('name'))+'&serviceid='+ipmserviceid+'&poolid='+$(this).prop('value')+'&usemodule='+ipmintegration+'&rawResponse=1&perform=1&ajax=1';
                var request;
                request = $.ajax({
                    url: delUrl,
                    type: "get",
                });

                var row = this;
                // callback handler that will be called on success
                request.done(function (response, textStatus, jqXHR) {
                    if(response.result === 'success'){
                        $(row).closest('tr').addClass('success');
                    }else{
                        $(row).closest('tr').addClass('danger');
                    }
                    if(response.message){
                        $(row).closest('tr').children().last().html(response.message);
                    }else{
                        var resp = (response.result === 'success') ? 'Success' : 'Error';
                        $(row).closest('tr').children().last().html(resp);
                    }
                    $(row).closest('tr').removeClass('active');
                    ipmUpdateModalButtons();
                });
                // callback handler that will be called on failure
                request.fail(function (jqXHR, textStatus, errorThrown) { 
                    $(row).closest('tr').addClass('danger');
                    $(row).closest('tr').children().last().html('Error');
                    $(row).closest('tr').removeClass('active');
                    ipmUpdateModalButtons();
                });            
            });        
        }

        function ipmUpdateModalButtons(){
            if(ipmIsAllNotFinished() !== true){
                $('#alertModal').find(".btn-ok").attr('disabled', false);
                $('#alertModal').find(".btn-ok").attr('data-dismiss', 'modal');
                $('#alertModal').find(".btn-default").prop('disabled', true);
                $("#ipList").DataTable().ajax.reload();
            }
        }

        function ipmIsAllNotFinished(){
            var notFinished = false;
            $("input[name^='ip_mass_confirm[']:checked").each(function(){
                if($(this).closest('tr').hasClass('active') === true){
                    notFinished = true;
                }
            });
            return notFinished;
        }

        $("#ipmMassDeleteIp").on("click", function(e){
            $('#alertModal').find(".modal-title").text(ipmMassDeleteLang);
            $('#alertModal').find(".modal-body").html($('#ipmMassDeleteModal').html());
            $("input[name^='ip_mass_actions[']:checked").each(function(){
                var tmpRow = '<tr>\n\
                                <td><input type="checkbox" value="'+$(this).prop('value')+'" name="ip_mass_confirm['+ipmGetMassIpFromName($(this).prop('name'))+']" checked ></td>\n\
                                <td>'+ipmGetMassIpFromName($(this).prop('name'))+'</td>\n\
                                <td></td>\n\
                            </tr>';
                $('#alertModal').find(".modal-body .ipDeleteModal #ipmTaskTable tr:last").after(tmpRow).blur();
            });
            $('#alertModal').modal('show', function(){
                $("input[name^='ip_mass_confirm[']").blur();
            });
            $('#alertModal').find(".btn-ok").show();
            $('#alertModal').find(".btn-ok").removeAttr('href');
            $('#alertModal').find(".btn-ok").attr('disabled', true);

            $("#ipmMassDeleteIpConfirm").on("click", function(e){
                $("input[name^='ip_mass_confirm[']").each(function(){
                    $(this).prop('disabled', true);
                    $(this).closest('tr').addClass('active');
                });
                $(this).prop('disabled', true);
                ipmPerformDeleteMassActions();
            });
        });

        $("#ipmMassUnassignIp").on("click", function(e){
            $('#alertModal').find(".modal-title").text(ipmMassUnassignLang);
            $('#alertModal').find(".modal-body").html($('#ipmMassUnassignModal').html());
            $("input[name^='ip_mass_actions[']:checked").each(function(){
                var ipmintegration = $(this).attr('integration') === undefined ? 0 : $(this).attr('integration');
                var ipmserviceid = $(this).attr('serviceid') === undefined ? 0 : $(this).attr('serviceid');
                var tmpRow = '<tr>\n\
                                <td><input type="checkbox" value="'+$(this).prop('value')+'" name="ip_mass_confirm['+ipmGetMassIpFromName($(this).prop('name'))+']" serviceid="'+ipmserviceid+'" integration="'+ipmintegration+'" checked ></td>\n\
                                <td>'+ipmGetMassIpFromName($(this).prop('name'))+'</td>\n\
                                <td></td>\n\
                            </tr>';
                $('#alertModal').find(".modal-body .ipUnassignModal #ipmTaskTable tr:last").after(tmpRow).blur();
            });
            $('#alertModal').modal('show', function(){
                $("input[name^='ip_mass_confirm[']").blur();
            });
            $('#alertModal').find(".btn-ok").show();
            $('#alertModal').find(".btn-ok").removeAttr('href');
            $('#alertModal').find(".btn-ok").attr('disabled', true);

            $("#ipmMassUnassignIpConfirm").on("click", function(e){
                $("input[name^='ip_mass_confirm[']").each(function(){
                    $(this).prop('disabled', true);
                    $(this).closest('tr').addClass('active');
                });
                $(this).prop('disabled', true);
                ipmPerformUnassignMassActions();
            });
        });

        $("#ipmMassAssignIp").on("click", function(e){
            $('#alertModal').find(".modal-title").text(ipmMassAssignLang);
            $('#alertModal').find(".modal-body").html($('#ipmMassAssignModal').html());
            $("input[name^='ip_mass_actions[']:checked").each(function(){
                var ipmintegration = $(this).attr('integration') === undefined ? 0 : $(this).attr('integration');
                var ipmserviceid = $(this).attr('serviceid') === undefined ? 0 : $(this).attr('serviceid');                
                var tmpRow = '<tr>\n\
                                <td><input type="checkbox" value="'+$(this).prop('value')+'" name="ip_mass_confirm['+ipmGetMassIpFromName($(this).prop('name'))+']" serviceid="'+ipmserviceid+'" integration="'+ipmintegration+'"  checked ></td>\n\
                                <td>'+ipmGetMassIpFromName($(this).prop('name'))+'</td>\n\
                                <td></td>\n\
                            </tr>';
                $('#alertModal').find(".modal-body .ipAssignModal #ipmTaskTable tr:last").after(tmpRow).blur();
            });
            $('#alertModal').removeAttr('tabindex');
            $('#alertModal').modal('show', function(){
                $("input[name^='ip_mass_confirm[']").blur();
            });
            $('#alertModal').find('.serviceAutocomplete2').select2({
                    minimumInputLength: 1,
                    allowClear : true,
                    ajax : {
                        url: 'addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=getservices',
                        dataType: 'json',
                        quietMillis: 50,
                        data: function (term, page) {
                            return {
                                term : term, // search term
                                page_limit: 30
                            };
                        },
                        results: function (data, page) { // parse the results into the format expected by Select2.
                            // since we are using custom formatting functions we do not need to alter remote JSON data
                            return {results: data};
                        }
                    },
                    initSelection : function (element, callback)
                    {
                        var that = $(element);

                        if(that.attr('data-serviceid') != '')
                        {
                            var data = {id: that.attr('data-serviceid'), text: that.attr('data-servicename')};
                            callback(data);
                        }
                    },
                    formatResult : function(element)
                    {
                        return '<div>'+ element.text +' </div><div><span class="">Product: '+ element.product_name +'</span></div><div><span class="">Client: '+element.client_name+'</span></div>';
                    }
            });            
            $('#alertModal').find(".btn-ok").show();
            $('#alertModal').find(".btn-ok").removeAttr('href');
            $('#alertModal').find(".btn-ok").attr('disabled', true);

            IPManager.customIPAssignHandler();
            $("#ipmMassAssignIpConfirm").on("click", function(e){
                $("input[name^='ip_mass_confirm[']").each(function(){                    
                    $(this).closest('tr').addClass('active');
                });                
                ipmPerformAssignMassActions();
            });
        });

        $('#addNewCustomField').on("click",function(e){
            var that = $(this);
            var url  = that.data('href');

            $.getJSON(url, function(data)
            {
                $('#alertModal').find(".modal-title").text(that.text());
                $('#alertModal').find(".modal-body").html(data.html);
                $('#alertModal').modal('show');
                $('#alertModal').find(".btn-ok").show();
                $('#alertModal').find(".btn-ok").attr('href','#');
                $('#alertModal').find(".btn-ok").on("click", function(e){
                    $('#alertModal').find("form").submit();
                });

                if($('.pretty-select').each(function(a,e){
                    $(this).val($(this).data('selected'));
                }));

                    $("#addNewRow").on("click",function(e){
                        $('tr#noneRow').remove();
                        var select = $('#defaultFields').find('select').first().clone().attr('name', 'dfield[new'+fieldNumber+'][pool]');
                        $('#defaultFields tbody').append('<tr><td><input type="text" name="dfield[new'+fieldNumber+'][name]" value=""></td><td><input type="text" name="dfield[new'+fieldNumber+'][value]" value=""></td><td><button class="btn btn-small btn-danger deleteFieldRow" style="padding:6px;">Delete</button></td></tr>');
                        var selectContainer = $('<td />', {});
                        $('#defaultFields tbody').find("tr").last().prepend(selectContainer.append(select));
                        fieldNumber += 1;
                        e.preventDefault();
                        $('.deleteFieldRow').on("click",function(e){
                            e.preventDefault(); 
                            var that  = $(this);
                            that.parents('tr').remove();
                        });
                    });
            });

            e.preventDefault();
        });

        $('.dfieldEdit').on("click",function(e){
            var that = $(this);
            var url  = that.data('href');
            var object = {dfieldID:that.data('id')};

            $.post(url, object )
                .done(function( data ) {
                    $('#alertModal').find(".modal-title").text(that.text());
                    $('#alertModal').find(".modal-body").html(data.html);
                    $('#alertModal').modal('show');
                    $('#alertModal').find(".btn-ok").show();
                    $('#alertModal').find(".btn-ok").attr('href','#');
                    $('#alertModal').find(".btn-ok").on("click", function(e){
                        $('#alertModal').find("form").submit();
                    });

                    if($('.pretty-select').each(function(a,e){
                        $(this).val($(this).data('selected'));
                    }));
            });

            e.preventDefault();
        });

        $('.createPool').on("click",function(e){
            var that = $(this);
            var url  = that.data('href');

            $.getJSON(url, function(data)
            {
                $('#alertModal').find(".modal-title").text(that.text());
                $('#alertModal').find(".modal-body").html(data.html);
                $('#alertModal').modal('show');
                $('#alertModal').find(".btn-ok").hide();
                toggleDetails();
                createNewPoolEvent();
                $(".accordion")
                        .on('hidden.bs.collapse', function (e) {
                            $(".collapse").each(function(){
                                if(this.id !== e.target.id)
                                {
                                    $(this).collapse('show');
                                }
                            });
                        })
                        .on('show.bs.collapse',function(e){
                            $(".collapse").each(function(){
                                if(this.id !== e.target.id)
                                {
                                    $(this).collapse('hide');
                                }
                            });
                        });
            });

            e.preventDefault();
        });


        $('.splitPool').on("click",function(e){
            var that = $(this);
            var url  = that.data('href');
            var object = {modaction: 'getForm',typeofip: that.data('typeofip'), parentmask:that.data('mask')};

            $.post(url, object )
                .done(function( data ) {
                    $('#alertModal').find(".modal-title").text(that.text());
                    $('#alertModal').find(".modal-body").html(data.html);
                    $('#alertModal').modal('show');
                    $('#alertModal').find(".btn-ok").show();
                    $('#alertModal').find(".btn-ok").removeAttr('href');
                    $('#alertModal').find(".btn-ok").on("click", function(e){
                        $('#alertModal').find("form").submit();
                    });
            });
            e.preventDefault();
        });

        $('.deleteField').on("click",function(e){
            e.preventDefault();
            that = $(this);
            that.parents('tr').hide();
            that.after('<input type="hidden" name="dfield['+that.data('id')+'][deleted]" value="1">');
        });

        //ahmed sponsored  <--
        /**
         * Creating custom fields through iFrame
         * @type coloxbox
         */
            $('.createCustomField').on('click', function(e)
                {
                var that = $(this);
                var url  = that.attr('href');

                $.getJSON(url, function(data)
                {
                    $('#alertModal').find(".modal-title").text(that.text());
                    $('#alertModal').find(".modal-body").html(data.html);
                    $('#alertModal').modal('show');
                    $('#alertModal').find(".btn-ok").show();
                    $('#alertModal').find(".btn-ok").removeAttr('href');
                    $('#alertModal').find(".btn-ok").on("click", function(e){
                        $('#alertModal').find("form").submit();
                    });
                });

                e.preventDefault();
            });

        $('.addOneAddress').on('click', function(e)
            {
            var that = $(this);
            var url  = that.attr('href');

            $.getJSON(url, function(data)
            {
                $('#alertModal').find(".modal-title").text(that.text());
                $('#alertModal').find(".modal-body").html(data.html);
                $('#alertModal').modal('show');
                $('#alertModal').find(".btn-ok").show();
                $('#alertModal').find(".btn-ok").removeAttr('href');
                $('#alertModal').find(".btn-ok").on("click", function(e){
                    $('#alertModal').find("form").submit();
                });
                addNewIP();
            });

            e.preventDefault();
        });    


        // Ahmed sponsored -->> create subnet popup
        $('.createSubnet').on('click', function(e)
            {
            var that = $(this);
            var url  = that.attr('href');
            if(that.data('assigment')) return false;
            var object = {typeofip: that.data('typeofip'),parentID: that.data('parentid'), parentmask:that.data('mask'), childmask:that.data('childmask')};
            $.post(url, object )
              .done(function( data ) {
                    $('#alertModal').find(".modal-title").text(that.text());
                    $('#alertModal').find(".modal-body").html(data.html);
                    $('#alertModal').modal('show');
                    $('#alertModal').find(".btn-ok").hide();

                toggleDetails();
                createPoolForm();
              });
            e.preventDefault();
        });


        $('.assign').on('click', function(e)
            {
            var that = $(this);
            var url  = that.attr('href');
            if(that.data('assigment')) return false;
            var object = {typeofip: that.data('typeofip'),parentID: that.data('parentid'), parentmask:that.data('mask'), childmask:that.data('childmask')};
            $.post(url, object )
              .done(function( data ) {
                    $('#alertModal').find(".modal-title").text(that.text());
                    $('#alertModal').find(".modal-body").html(data.html);
                    $('#alertModal').modal('show');
                    $('#alertModal').find(".btn-ok").hide();

                toggleDetails();
                createPoolForm();
              });
            e.preventDefault();
        });

        function createPoolForm() {
            $('.createPoolForm').validate({
            errorLabelContainer: '#errors',
            rules: {
                ipv4 : {
                    required : function(){
                        return ($('#ipv6').val() == '');
                    },
                    ipv4 : true,
                    remote:{
                        url: "addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=checkAddress", //make sure to return true or false with a 200 status code
                        type: "post",
                        data: {
                            ip: function() {
                                return $("#ipv4").val();
                            },
                            pool_id: $("#ipv4").data('pool_id')
                        }
                    }
                },
                ipv6 : {
                    required : function(){
                        return ($('#ipv4').val() == '');
                    },
                    ipv6 : true,
                    remote:{
                        url: "addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=checkAddress", //make sure to return true or false with a 200 status code
                        type: "post",
                        data: {
                            ip: function() {
                                return $("#ipv6").val();
                            },
                            pool_id: $("#ipv6").data('pool_id')
                        }
                    }
                },
                mask : {
                    parentmask : true
                }
            },
            messages: {
                ipv4: {
                    remote: jQuery.format("{0} don't match in the parent CIDR.")
                },
                ipv6: {
                    remote: jQuery.format("{0} don't match in the parent CIDR.")
                }
            },
            submitHandler: function(form)
            {
                var validator = this;
                var maskSize = parseInt($('#cidrMask').val());
                var minSize, addressCount;
                var request;

            var serializedData = $(form).serialize();
            request = $.ajax({
                    url: "addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=checkNetworkAddress",
                    type: "post",
                    data: serializedData
            });

            // callback handler that will be called on success
            request.done(function (response, textStatus, jqXHR) {
                var resp = JSON.parse(response);

                if($('#ipv4').is(':visible'))
                {
                    if(!resp){
                        validator.showErrors({
                            "ipv4": "The IP address must be the first addres from range (the network address)"
                        });
                    }
                    minSize = 21;
                    addressCount = Math.pow(2, (32 - maskSize));
                }
                else if($('#ipv6').is(':visible'))
                {
                    if(!resp){
                        validator.showErrors({
                            "ipv6": "The IP address must be the first addres from range (the network address)"
                        });
                    }
                    minSize = 120;
                    addressCount = Math.pow(2, (128 - maskSize));
                }
                if(!resp){
                    $("#cidrMask").parent().parent().addClass("error");
                    return false;
                }
                var req = $.ajax({
                    url: "addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=isExists",
                    type: "post",
                    data: serializedData
                });
                req.done(function (response, textStatus, jqXHR) {
                    var resp = JSON.parse(response);

                    if($('#ipv4').is(':visible'))
                    {
                        if(!resp){
                            validator.showErrors({
                                "ipv4": "The pool already exists"
                            });
                        }

                    }
                    else if($('#ipv6').is(':visible'))
                    {
                        if(!resp){
                            validator.showErrors({
                                "ipv6": "The pool already exists"
                            });
                        }

                    }

                    if(!resp){
                        $("#cidrMask").parent().parent().addClass("error");
                        return false;
                    }
                var requestVLSM = $.ajax({
                    url: "addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=checkVLSM",
                    type: "post",
                    data: serializedData
                });
                requestVLSM.done(function (response, textStatus, jqXHR) {
                    var resp = JSON.parse(response);
                    if($('#ipv4').is(':visible'))
                    {
                        if(!resp.success){
                            validator.showErrors({
                                "ipv4": resp.text
                            });
                        }

                    }
                    else if($('#ipv6').is(':visible'))
                    {
                        if(!resp.success){
                            validator.showErrors({
                                "ipv6": resp.text
                            });
                        }

                    }

                    if(!resp.success){
                        $("#cidrMask").parent().parent().addClass("error");
                        return false;
                    }
                    $('.preloader').show();

                    form.submit();
                });
                });
            });

            // callback handler that will be called on failure
            request.fail(function (jqXHR, textStatus, errorThrown) {
                    // log the error to the console
                    console.error(
                        "The following error occured: " + textStatus, errorThrown);
            });


            }
        });

        }

        function addNewIP() {
            $('#addNewIP').validate({
            errorLabelContainer: '#errors',
            submitHandler: function(form)
            {
                var validator = this;
                var request;

                var serializedData = $(form).serialize();
                request = $.ajax({
                        url: "addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=validateIP",
                        type: "post",
                        data: serializedData
                });

                request.done(function (response, textStatus, jqXHR) {
                var resp = JSON.parse(response);
                    if(!resp.success){
                        validator.showErrors({
                            "ipv": resp.message
                        });
                        return false;
                    }
                    $('.preloader').show();

                    form.submit();
                });

                request.fail(function (jqXHR, textStatus, errorThrown) {
                        // log the error to the console
                        console.error(
                            "The following error occured: " + textStatus, errorThrown);
                });


            }
        });

    }

        /**
         * Modal, for manual add IP address to certain pool
         * @type coloxbox
         */
        $('.generateSubnetsForBlockForm').on('click', function(e)
        {
            var that       = $(this);
            var url        = that.attr('href');
            var hrefTarget = '#divgenerateSubnetsForBlockForm';

            $.colorbox({
                href: hrefTarget,
                inline:true,
                trapFocus : false,
                onOpen: function(){
                    $(hrefTarget).show();
                },
                onCleanup: function(){
                    $(hrefTarget).hide();
                }
            });

            e.preventDefault();
        });

        /**
         * Clean Up Cron Job
         * @type colorbox
         */
        $('.cleanUp').colorbox({iframe:true, width: 800, height: 400});

        /**
         * IP Assign iFrame
         * @type coloxbox
         */
        function assingEvent(){ $('.ipAssignToService').on('click', function(e)
        {
            var that = $(this);
            var url  = that.attr('href');
            if(! that.hasClass('disabled'))
            {
                $.getJSON(url, function(data)
                {
                    var content = $(data.html);

                    content.find('.serviceAutocomplete').select2({
                            minimumInputLength: 1,
                            allowClear : true,
                            ajax : {
                                url: 'addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=getservices',
                                dataType: 'json',
                                quietMillis: 50,
                                data: function (term, page) {
                                    return {
                                        term : term, // search term
                                        page_limit: 30
                                    };
                                },
                                results: function (data, page) { // parse the results into the format expected by Select2.
                                    // since we are using custom formatting functions we do not need to alter remote JSON data
                                    return {results: data};
                                }
                            },
                            initSelection : function (element, callback)
                            {
                                var that = $(element);

                                if(that.attr('data-serviceid') != '')
                                {
                                    var data = {id: that.attr('data-serviceid'), text: that.attr('data-servicename')};
                                    callback(data);
                                }
                            },
                            formatResult : function(element)
                            {
                                return '<div>'+ element.text +' </div><div><span class="">Product: '+ element.product_name +'</span></div><div><span class="">Client: '+element.client_name+'</span></div>';
                            }
                    });

                    if(content)
                    {
                        $.colorbox({
                            html: content,
                            trapFocus : false
                        });
                    }

                    IPManager.customIPAssignHandler();

                });
            }

            e.preventDefault();
        });
        }

        /**
         * IP Assign iFrame
         * @type coloxbox
         */
        $('.blockPoolGenerateSubnets').on('click', function(e)
        {
            var that = $(this);
            var url  = that.attr('href');
            if(! that.hasClass('disabled'))
            {
                $.getJSON(url, function(data)
                {
                    var content = $(data.html);

                    if(content)
                    {
                        $.colorbox({
                            html: content,
                            trapFocus : false
                        });
                    }


                });
            }

            e.preventDefault();
        });

        /**
         * IP Unassign iFrame
         * @type coloxbox
         */
        function unssignEvent() 
        {
            $('.unassignIP').on('click', function(e)
                {
                    var that = $(this);
                    var link = that.attr('href');
                    var useModule = 0;

                    if(! that.hasClass('disabled'))
                    {
                        $.getJSON(link, function(result)
                        {
                           $.colorbox({
                                html: result.html
                            });
                        });
                    }
                    e.preventDefault();
            });
        }

        $('a.btn.disabled').on('click', function(e) {e.preventDefault(); return false; });

        $('#selectAll').focus(function() {
            var that = $(this);
            that.select();

            // Work around Chrome's little problem
            that.mouseup(function() {
                // Prevent further mouseup intervention
                that.unbind("mouseup");
                return false;
            });
        });

        $('.showConfigurationStats').on('click', function(e)
        {
            var that = $(this);

            var box = that.parents('tr').next('tr');

            if(box.hasClass('hidden'))
            {
                box.removeClass('hidden');
                showStatsFor(box.find('.statistics'));
            }
            else
            {
                box.addClass('hidden');
            }

            e.preventDefault();
        });

        var showStatsFor = function(element) {

            var that = element;

            var stats =
            {
                total   :   JSON.parse(that.attr('data-stats-total')),
                product :   JSON.parse(that.attr('data-stats-product')),
                addon   :   JSON.parse(that.attr('data-stats-addon')),
                co      :   JSON.parse(that.attr('data-stats-co')),
            };

            //Get context with jQuery - using jQuery's .get() method.
            var ctx = that.get(0).getContext('2d');
            that.attr('width', parseInt(that.parent().css('width')));

            var data = {
                labels: ['January', 'February', 'March', 'April', 'May', 'June',
                        'July', 'August', 'September', 'October', 'November', 'December'],
                datasets: [
                    {
                        fillColor: "rgba(220,220,220,0.5)",
                        strokeColor: "rgba(220,220,220,1)",
                        pointColor: "rgba(220,220,220,1)",
                        pointStrokeColor: "#fff",
                        data: stats.total
                    },
                    {
                        fillColor: "rgba(255,204,51,0.5)",
                        strokeColor: "rgba(255,204,51,1)",
                        pointColor: "rgba(255,204,51,1)",
                        pointStrokeColor: "#fff",
                        data: stats.product
                    },
                    {
                        fillColor: "rgba(255,51,102,0.5)",
                        strokeColor: "rgba(255,51,102,1)",
                        pointColor: "rgba(255,51,102,1)",
                        pointStrokeColor: "#fff",
                        data: stats.addon
                    },
                    {
                        fillColor: "rgba(153,0,204,0.5)",
                        strokeColor: "rgba(153,0,204,1)",
                        pointColor: "rgba(153,0,204,1)",
                        pointStrokeColor: "#fff",
                        data: stats.co
                    }
                ]
            };

            var newChart = new Chart(ctx).Line(data, {
                showScale: true,
                scaleShowLabels: true,
                scaleIntegersOnly: true,
            });

        };

        $('.ipv4form').submit(function(e){
            if ($('[name="selectaction"] :selected').val() === 'massassign') {
                e.preventDefault();
                $.getJSON('addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=massassign&poolID='+$('[name="poolID"]').val()+'&'+$('.ipv4form').serialize(), function(data) //=1&
                {
                    var content = $(data.html);

                    content.find('.serviceAutocomplete').select2({
                            minimumInputLength: 1,
                            allowClear : true,
                            ajax : {
                                url: 'addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=getservices',
                                dataType: 'json',
                                quietMillis: 50,
                                data: function (term, page) {
                                    return {
                                        term : term, // search term
                                        page_limit: 30
                                    };
                                },
                                results: function (data, page) { // parse the results into the format expected by Select2.
                                    // since we are using custom formatting functions we do not need to alter remote JSON data
                                    return {results: data};
                                }
                            },
                            initSelection : function (element, callback)
                            {
                                var that = $(element);

                                if(that.attr('data-serviceid') != '')
                                {
                                    var data = {id: that.attr('data-serviceid'), text: that.attr('data-servicename')};
                                    callback(data);
                                }
                            },
                            formatResult : function(element)
                            {
                                return '<div>'+ element.text +' </div><div><span class="">Product: '+ element.product_name +'</span></div><div><span class="">Client: '+element.client_name+'</span></div>';
                            }
                    });

                    if(content)
                    {
                        $.colorbox({
                            html: content,
                            trapFocus : false
                        });
                    }

                    IPManager.customIPAssignHandler();

                });
            } 
            else  if ($('[name="selectaction"] :selected').val() === 'delete') {

                if(! confirm('Are you sure you want to delete selected IP Addresses from pool?'))
                {
                    e.preventDefault();
                    return false;
                }
            }
        });

        $('.uploadWithText').change(function(){
            var value = $(this).val();
            var last = value.substring(value.lastIndexOf("\\") + 1, value.length);
            $('.uploadText').val(last);
        });

        // hide alerts messages
        $('.alert.alert-autoclose').each(function(){
            $(this).delay(8000).fadeOut();
        });
    });
});

//ahmed sponsored -->
function createCustomFieldLoad(ipID, poolID) { 
   var url  = 'addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=cfcreate&ipID='+ipID+'&poolID='+poolID+'&type=ip&iplistnew=1';
   $.getJSON(url, function(data)
   {
           $('#alertModal').find(".modal-title").text("Create a New Custom Field");
           $('#alertModal').find(".modal-body").html(data.html);
           $('#alertModal').modal('show');
           $('#alertModal').find(".btn-ok").show();

           $('#alertModal').find(".btn-ok").on("click", function(e){
               $('#alertModal').find("form").submit();
           });
   });
   return;
}
//ahmed sponsored <--